# Webhooks

## Domain Types

### connection.created

- `type ConnectionCreatedWebhookEvent struct{…}`

  - `APIVersion string`

    API version for the webhook payload format

  - `CreatedAt Time`

    When the event was created

  - `Data ConnectionCreatedWebhookEventData`

    The payment request, as returned by
    `GET /v3/payment_requests/{paymentRequestId}`.

    - `ID string`

      The payment request id.

    - `Amount int64`

      What was charged at checkout, in the currency's minor
      units. In `subscription` mode this is the first invoice's
      total — all items after any discounts are applied.

    - `CheckoutURL string`

      URL the recipient opens to pay
      (`https://zero.linqapp.com/pay/{slug}?session=...`).

    - `CreatedAt Time`

    - `Currency string`

    - `Object string`

    - `Status string`

      - `const ConnectionCreatedWebhookEventDataStatusSucceeded ConnectionCreatedWebhookEventDataStatus = "succeeded"`

      - `const ConnectionCreatedWebhookEventDataStatusFailed ConnectionCreatedWebhookEventDataStatus = "failed"`

      - `const ConnectionCreatedWebhookEventDataStatusCanceled ConnectionCreatedWebhookEventDataStatus = "canceled"`

      - `const ConnectionCreatedWebhookEventDataStatusExpired ConnectionCreatedWebhookEventDataStatus = "expired"`

    - `Description string`

    - `Discount ConnectionCreatedWebhookEventDataDiscount`

      Subscription mode — the discount Stripe applied, read back
      from the coupon. Absent when none was applied.

      - `Coupon string`

      - `Label string`

        Name of the coupon/promo code displayed to customers.

      - `PromotionCode string`

    - `Interval string`

      Subscription mode — how often the subscription renews.

      - `const ConnectionCreatedWebhookEventDataIntervalDay ConnectionCreatedWebhookEventDataInterval = "day"`

      - `const ConnectionCreatedWebhookEventDataIntervalWeek ConnectionCreatedWebhookEventDataInterval = "week"`

      - `const ConnectionCreatedWebhookEventDataIntervalMonth ConnectionCreatedWebhookEventDataInterval = "month"`

      - `const ConnectionCreatedWebhookEventDataIntervalYear ConnectionCreatedWebhookEventDataInterval = "year"`

    - `IntervalCount int64`

      Subscription mode — intervals per renewal.

    - `Metadata map[string, string]`

    - `Mode string`

      Whether the request collected a one-time charge or started a subscription.

      - `const ConnectionCreatedWebhookEventDataModePayment ConnectionCreatedWebhookEventDataMode = "payment"`

      - `const ConnectionCreatedWebhookEventDataModeSubscription ConnectionCreatedWebhookEventDataMode = "subscription"`

    - `Natural ConnectionCreatedWebhookEventDataNatural`

      Natural-rail join keys, present when `rail: natural`.

      - `PaymentRequestID string`

        The Natural payment request (`prq_...`).

      - `TransactionID string`

        The settled transaction (`txn_...`).

    - `PriceID string`

      Subscription mode — the recurring price subscribed to.

    - `Quantity int64`

      Subscription mode — units of the price subscribed to.

    - `Rail string`

      The rail this request settled on.

      - `const ConnectionCreatedWebhookEventDataRailStripe ConnectionCreatedWebhookEventDataRail = "stripe"`

      - `const ConnectionCreatedWebhookEventDataRailNatural ConnectionCreatedWebhookEventDataRail = "natural"`

    - `Stripe ConnectionCreatedWebhookEventDataStripe`

      Ids of the Stripe objects on your connected account — join
      keys into your own Stripe Dashboard/API. Manage a
      subscription's post-checkout lifecycle with `subscription_id`.

      - `CustomerID string`

        The Customer the request is attached to (`cus_...`).
        Always set in subscription mode; set in payment mode
        only when the request was created with a `customer_id`.

      - `PaymentIntentID string`

        The PaymentIntent collected at checkout (`pi_...`).

      - `SubscriptionID string`

        Subscription mode — the Subscription (`sub_...`).

    - `TrialEnd Time`

      Subscription mode — when the free trial ends and the first
      charge happens. On a trial request, `payment.succeeded`
      means the payment method was collected ($0 moved).

    - `UpdatedAt Time`

  - `EventID string`

    Unique identifier for this event (for deduplication)

  - `EventType ConnectionCreatedWebhookEventEventType`

    - `const ConnectionCreatedWebhookEventEventTypePaymentSucceeded ConnectionCreatedWebhookEventEventType = "payment.succeeded"`

    - `const ConnectionCreatedWebhookEventEventTypePaymentCanceled ConnectionCreatedWebhookEventEventType = "payment.canceled"`

    - `const ConnectionCreatedWebhookEventEventTypePaymentExpired ConnectionCreatedWebhookEventEventType = "payment.expired"`

    - `const ConnectionCreatedWebhookEventEventTypeMessageSent ConnectionCreatedWebhookEventEventType = "message.sent"`

    - `const ConnectionCreatedWebhookEventEventTypeMessageReceived ConnectionCreatedWebhookEventEventType = "message.received"`

    - `const ConnectionCreatedWebhookEventEventTypeMessageRead ConnectionCreatedWebhookEventEventType = "message.read"`

    - `const ConnectionCreatedWebhookEventEventTypeMessageDelivered ConnectionCreatedWebhookEventEventType = "message.delivered"`

    - `const ConnectionCreatedWebhookEventEventTypeMessageFailed ConnectionCreatedWebhookEventEventType = "message.failed"`

    - `const ConnectionCreatedWebhookEventEventTypeMessageEdited ConnectionCreatedWebhookEventEventType = "message.edited"`

    - `const ConnectionCreatedWebhookEventEventTypeReactionAdded ConnectionCreatedWebhookEventEventType = "reaction.added"`

    - `const ConnectionCreatedWebhookEventEventTypeReactionRemoved ConnectionCreatedWebhookEventEventType = "reaction.removed"`

    - `const ConnectionCreatedWebhookEventEventTypePollReceived ConnectionCreatedWebhookEventEventType = "poll.received"`

    - `const ConnectionCreatedWebhookEventEventTypePollFailed ConnectionCreatedWebhookEventEventType = "poll.failed"`

    - `const ConnectionCreatedWebhookEventEventTypePollSent ConnectionCreatedWebhookEventEventType = "poll.sent"`

    - `const ConnectionCreatedWebhookEventEventTypePollDelivered ConnectionCreatedWebhookEventEventType = "poll.delivered"`

    - `const ConnectionCreatedWebhookEventEventTypePollRead ConnectionCreatedWebhookEventEventType = "poll.read"`

    - `const ConnectionCreatedWebhookEventEventTypePollUpdated ConnectionCreatedWebhookEventEventType = "poll.updated"`

    - `const ConnectionCreatedWebhookEventEventTypePollVoteAdded ConnectionCreatedWebhookEventEventType = "poll.vote.added"`

    - `const ConnectionCreatedWebhookEventEventTypePollVoteRemoved ConnectionCreatedWebhookEventEventType = "poll.vote.removed"`

    - `const ConnectionCreatedWebhookEventEventTypePollReactionAdded ConnectionCreatedWebhookEventEventType = "poll.reaction.added"`

    - `const ConnectionCreatedWebhookEventEventTypeParticipantAdded ConnectionCreatedWebhookEventEventType = "participant.added"`

    - `const ConnectionCreatedWebhookEventEventTypeParticipantRemoved ConnectionCreatedWebhookEventEventType = "participant.removed"`

    - `const ConnectionCreatedWebhookEventEventTypeChatCreated ConnectionCreatedWebhookEventEventType = "chat.created"`

    - `const ConnectionCreatedWebhookEventEventTypeChatGroupNameUpdated ConnectionCreatedWebhookEventEventType = "chat.group_name_updated"`

    - `const ConnectionCreatedWebhookEventEventTypeChatGroupIconUpdated ConnectionCreatedWebhookEventEventType = "chat.group_icon_updated"`

    - `const ConnectionCreatedWebhookEventEventTypeChatGroupNameUpdateFailed ConnectionCreatedWebhookEventEventType = "chat.group_name_update_failed"`

    - `const ConnectionCreatedWebhookEventEventTypeChatGroupIconUpdateFailed ConnectionCreatedWebhookEventEventType = "chat.group_icon_update_failed"`

    - `const ConnectionCreatedWebhookEventEventTypeChatBackgroundUpdated ConnectionCreatedWebhookEventEventType = "chat.background_updated"`

    - `const ConnectionCreatedWebhookEventEventTypeChatBackgroundUpdateFailed ConnectionCreatedWebhookEventEventType = "chat.background_update_failed"`

    - `const ConnectionCreatedWebhookEventEventTypeChatTypingIndicatorStarted ConnectionCreatedWebhookEventEventType = "chat.typing_indicator.started"`

    - `const ConnectionCreatedWebhookEventEventTypeChatTypingIndicatorStopped ConnectionCreatedWebhookEventEventType = "chat.typing_indicator.stopped"`

    - `const ConnectionCreatedWebhookEventEventTypePhoneNumberStatusUpdated ConnectionCreatedWebhookEventEventType = "phone_number.status_updated"`

    - `const ConnectionCreatedWebhookEventEventTypePhoneNumberAssigned ConnectionCreatedWebhookEventEventType = "phone_number.assigned"`

    - `const ConnectionCreatedWebhookEventEventTypePhoneNumberReleased ConnectionCreatedWebhookEventEventType = "phone_number.released"`

    - `const ConnectionCreatedWebhookEventEventTypePhoneNumberLineTypeUpdated ConnectionCreatedWebhookEventEventType = "phone_number.line_type_updated"`

    - `const ConnectionCreatedWebhookEventEventTypeContactCardReceived ConnectionCreatedWebhookEventEventType = "contact_card.received"`

    - `const ConnectionCreatedWebhookEventEventTypeLocationSharingStarted ConnectionCreatedWebhookEventEventType = "location.sharing.started"`

    - `const ConnectionCreatedWebhookEventEventTypeLocationSharingStopped ConnectionCreatedWebhookEventEventType = "location.sharing.stopped"`

    - `const ConnectionCreatedWebhookEventEventTypePaymentDeclined ConnectionCreatedWebhookEventEventType = "payment.declined"`

    - `const ConnectionCreatedWebhookEventEventTypePaymentAuthorized ConnectionCreatedWebhookEventEventType = "payment.authorized"`

    - `const ConnectionCreatedWebhookEventEventTypeConnectionCreated ConnectionCreatedWebhookEventEventType = "connection.created"`

    - `const ConnectionCreatedWebhookEventEventTypeConnectionRevoked ConnectionCreatedWebhookEventEventType = "connection.revoked"`

    - `const ConnectionCreatedWebhookEventEventTypeZeroDayRetentionUpdated ConnectionCreatedWebhookEventEventType = "zero_day_retention.updated"`

    - `const ConnectionCreatedWebhookEventEventTypePhoneNumberForwardingUpdated ConnectionCreatedWebhookEventEventType = "phone_number.forwarding_updated"`

    - `const ConnectionCreatedWebhookEventEventTypeEnvironmentLineMoved ConnectionCreatedWebhookEventEventType = "environment.line_moved"`

    - `const ConnectionCreatedWebhookEventEventTypeContactCardCreated ConnectionCreatedWebhookEventEventType = "contact_card.created"`

    - `const ConnectionCreatedWebhookEventEventTypeContactCardUpdated ConnectionCreatedWebhookEventEventType = "contact_card.updated"`

    - `const ConnectionCreatedWebhookEventEventTypeContactCardDeleted ConnectionCreatedWebhookEventEventType = "contact_card.deleted"`

    - `const ConnectionCreatedWebhookEventEventTypeAPITokenCreated ConnectionCreatedWebhookEventEventType = "api_token.created"`

    - `const ConnectionCreatedWebhookEventEventTypeAPITokenRenamed ConnectionCreatedWebhookEventEventType = "api_token.renamed"`

    - `const ConnectionCreatedWebhookEventEventTypeAPITokenExpiryScheduled ConnectionCreatedWebhookEventEventType = "api_token.expiry_scheduled"`

    - `const ConnectionCreatedWebhookEventEventTypeAPITokenExpired ConnectionCreatedWebhookEventEventType = "api_token.expired"`

    - `const ConnectionCreatedWebhookEventEventTypeAPITokenActivated ConnectionCreatedWebhookEventEventType = "api_token.activated"`

    - `const ConnectionCreatedWebhookEventEventTypeAPITokenDeleted ConnectionCreatedWebhookEventEventType = "api_token.deleted"`

    - `const ConnectionCreatedWebhookEventEventTypeEnvironmentCreated ConnectionCreatedWebhookEventEventType = "environment.created"`

    - `const ConnectionCreatedWebhookEventEventTypeEnvironmentRenamed ConnectionCreatedWebhookEventEventType = "environment.renamed"`

    - `const ConnectionCreatedWebhookEventEventTypeEnvironmentDeleted ConnectionCreatedWebhookEventEventType = "environment.deleted"`

    - `const ConnectionCreatedWebhookEventEventTypeWebhookSubscriptionCreated ConnectionCreatedWebhookEventEventType = "webhook_subscription.created"`

    - `const ConnectionCreatedWebhookEventEventTypeWebhookSubscriptionDeleted ConnectionCreatedWebhookEventEventType = "webhook_subscription.deleted"`

    - `const ConnectionCreatedWebhookEventEventTypeWebhookSubscriptionTargetURLChanged ConnectionCreatedWebhookEventEventType = "webhook_subscription.target_url_changed"`

    - `const ConnectionCreatedWebhookEventEventTypeWebhookSubscriptionEnabled ConnectionCreatedWebhookEventEventType = "webhook_subscription.enabled"`

    - `const ConnectionCreatedWebhookEventEventTypeWebhookSubscriptionDisabled ConnectionCreatedWebhookEventEventType = "webhook_subscription.disabled"`

    - `const ConnectionCreatedWebhookEventEventTypeWebhookSubscriptionEventsUpdated ConnectionCreatedWebhookEventEventType = "webhook_subscription.events.updated"`

    - `const ConnectionCreatedWebhookEventEventTypeWebhookSubscriptionPhoneNumbersUpdated ConnectionCreatedWebhookEventEventType = "webhook_subscription.phone_numbers.updated"`

    - `const ConnectionCreatedWebhookEventEventTypeWebhookSubscriptionRoutingHeadersSet ConnectionCreatedWebhookEventEventType = "webhook_subscription.routing_headers_set"`

    - `const ConnectionCreatedWebhookEventEventTypeWebhookSubscriptionRoutingHeadersCleared ConnectionCreatedWebhookEventEventType = "webhook_subscription.routing_headers_cleared"`

    - `const ConnectionCreatedWebhookEventEventTypeTeamMemberAdded ConnectionCreatedWebhookEventEventType = "team_member.added"`

    - `const ConnectionCreatedWebhookEventEventTypeTeamMemberSignedIn ConnectionCreatedWebhookEventEventType = "team_member.signed_in"`

    - `const ConnectionCreatedWebhookEventEventTypeTeamMemberSignedOut ConnectionCreatedWebhookEventEventType = "team_member.signed_out"`

  - `PartnerID string`

    Partner identifier. Present on all webhooks for cross-referencing.

  - `TraceID string`

    Trace ID for debugging and correlation across systems.

  - `WebhookVersion string`

    Date-based webhook payload version.
    Determined by the `?version=` query parameter in your webhook subscription URL.
    If no version parameter is specified, defaults based on subscription creation date.

### connection.revoked

- `type ConnectionRevokedWebhookEvent struct{…}`

  - `APIVersion string`

    API version for the webhook payload format

  - `CreatedAt Time`

    When the event was created

  - `Data ConnectionRevokedWebhookEventData`

    The payment request, as returned by
    `GET /v3/payment_requests/{paymentRequestId}`.

    - `ID string`

      The payment request id.

    - `Amount int64`

      What was charged at checkout, in the currency's minor
      units. In `subscription` mode this is the first invoice's
      total — all items after any discounts are applied.

    - `CheckoutURL string`

      URL the recipient opens to pay
      (`https://zero.linqapp.com/pay/{slug}?session=...`).

    - `CreatedAt Time`

    - `Currency string`

    - `Object string`

    - `Status string`

      - `const ConnectionRevokedWebhookEventDataStatusSucceeded ConnectionRevokedWebhookEventDataStatus = "succeeded"`

      - `const ConnectionRevokedWebhookEventDataStatusFailed ConnectionRevokedWebhookEventDataStatus = "failed"`

      - `const ConnectionRevokedWebhookEventDataStatusCanceled ConnectionRevokedWebhookEventDataStatus = "canceled"`

      - `const ConnectionRevokedWebhookEventDataStatusExpired ConnectionRevokedWebhookEventDataStatus = "expired"`

    - `Description string`

    - `Discount ConnectionRevokedWebhookEventDataDiscount`

      Subscription mode — the discount Stripe applied, read back
      from the coupon. Absent when none was applied.

      - `Coupon string`

      - `Label string`

        Name of the coupon/promo code displayed to customers.

      - `PromotionCode string`

    - `Interval string`

      Subscription mode — how often the subscription renews.

      - `const ConnectionRevokedWebhookEventDataIntervalDay ConnectionRevokedWebhookEventDataInterval = "day"`

      - `const ConnectionRevokedWebhookEventDataIntervalWeek ConnectionRevokedWebhookEventDataInterval = "week"`

      - `const ConnectionRevokedWebhookEventDataIntervalMonth ConnectionRevokedWebhookEventDataInterval = "month"`

      - `const ConnectionRevokedWebhookEventDataIntervalYear ConnectionRevokedWebhookEventDataInterval = "year"`

    - `IntervalCount int64`

      Subscription mode — intervals per renewal.

    - `Metadata map[string, string]`

    - `Mode string`

      Whether the request collected a one-time charge or started a subscription.

      - `const ConnectionRevokedWebhookEventDataModePayment ConnectionRevokedWebhookEventDataMode = "payment"`

      - `const ConnectionRevokedWebhookEventDataModeSubscription ConnectionRevokedWebhookEventDataMode = "subscription"`

    - `Natural ConnectionRevokedWebhookEventDataNatural`

      Natural-rail join keys, present when `rail: natural`.

      - `PaymentRequestID string`

        The Natural payment request (`prq_...`).

      - `TransactionID string`

        The settled transaction (`txn_...`).

    - `PriceID string`

      Subscription mode — the recurring price subscribed to.

    - `Quantity int64`

      Subscription mode — units of the price subscribed to.

    - `Rail string`

      The rail this request settled on.

      - `const ConnectionRevokedWebhookEventDataRailStripe ConnectionRevokedWebhookEventDataRail = "stripe"`

      - `const ConnectionRevokedWebhookEventDataRailNatural ConnectionRevokedWebhookEventDataRail = "natural"`

    - `Stripe ConnectionRevokedWebhookEventDataStripe`

      Ids of the Stripe objects on your connected account — join
      keys into your own Stripe Dashboard/API. Manage a
      subscription's post-checkout lifecycle with `subscription_id`.

      - `CustomerID string`

        The Customer the request is attached to (`cus_...`).
        Always set in subscription mode; set in payment mode
        only when the request was created with a `customer_id`.

      - `PaymentIntentID string`

        The PaymentIntent collected at checkout (`pi_...`).

      - `SubscriptionID string`

        Subscription mode — the Subscription (`sub_...`).

    - `TrialEnd Time`

      Subscription mode — when the free trial ends and the first
      charge happens. On a trial request, `payment.succeeded`
      means the payment method was collected ($0 moved).

    - `UpdatedAt Time`

  - `EventID string`

    Unique identifier for this event (for deduplication)

  - `EventType ConnectionRevokedWebhookEventEventType`

    - `const ConnectionRevokedWebhookEventEventTypePaymentSucceeded ConnectionRevokedWebhookEventEventType = "payment.succeeded"`

    - `const ConnectionRevokedWebhookEventEventTypePaymentCanceled ConnectionRevokedWebhookEventEventType = "payment.canceled"`

    - `const ConnectionRevokedWebhookEventEventTypePaymentExpired ConnectionRevokedWebhookEventEventType = "payment.expired"`

    - `const ConnectionRevokedWebhookEventEventTypeMessageSent ConnectionRevokedWebhookEventEventType = "message.sent"`

    - `const ConnectionRevokedWebhookEventEventTypeMessageReceived ConnectionRevokedWebhookEventEventType = "message.received"`

    - `const ConnectionRevokedWebhookEventEventTypeMessageRead ConnectionRevokedWebhookEventEventType = "message.read"`

    - `const ConnectionRevokedWebhookEventEventTypeMessageDelivered ConnectionRevokedWebhookEventEventType = "message.delivered"`

    - `const ConnectionRevokedWebhookEventEventTypeMessageFailed ConnectionRevokedWebhookEventEventType = "message.failed"`

    - `const ConnectionRevokedWebhookEventEventTypeMessageEdited ConnectionRevokedWebhookEventEventType = "message.edited"`

    - `const ConnectionRevokedWebhookEventEventTypeReactionAdded ConnectionRevokedWebhookEventEventType = "reaction.added"`

    - `const ConnectionRevokedWebhookEventEventTypeReactionRemoved ConnectionRevokedWebhookEventEventType = "reaction.removed"`

    - `const ConnectionRevokedWebhookEventEventTypePollReceived ConnectionRevokedWebhookEventEventType = "poll.received"`

    - `const ConnectionRevokedWebhookEventEventTypePollFailed ConnectionRevokedWebhookEventEventType = "poll.failed"`

    - `const ConnectionRevokedWebhookEventEventTypePollSent ConnectionRevokedWebhookEventEventType = "poll.sent"`

    - `const ConnectionRevokedWebhookEventEventTypePollDelivered ConnectionRevokedWebhookEventEventType = "poll.delivered"`

    - `const ConnectionRevokedWebhookEventEventTypePollRead ConnectionRevokedWebhookEventEventType = "poll.read"`

    - `const ConnectionRevokedWebhookEventEventTypePollUpdated ConnectionRevokedWebhookEventEventType = "poll.updated"`

    - `const ConnectionRevokedWebhookEventEventTypePollVoteAdded ConnectionRevokedWebhookEventEventType = "poll.vote.added"`

    - `const ConnectionRevokedWebhookEventEventTypePollVoteRemoved ConnectionRevokedWebhookEventEventType = "poll.vote.removed"`

    - `const ConnectionRevokedWebhookEventEventTypePollReactionAdded ConnectionRevokedWebhookEventEventType = "poll.reaction.added"`

    - `const ConnectionRevokedWebhookEventEventTypeParticipantAdded ConnectionRevokedWebhookEventEventType = "participant.added"`

    - `const ConnectionRevokedWebhookEventEventTypeParticipantRemoved ConnectionRevokedWebhookEventEventType = "participant.removed"`

    - `const ConnectionRevokedWebhookEventEventTypeChatCreated ConnectionRevokedWebhookEventEventType = "chat.created"`

    - `const ConnectionRevokedWebhookEventEventTypeChatGroupNameUpdated ConnectionRevokedWebhookEventEventType = "chat.group_name_updated"`

    - `const ConnectionRevokedWebhookEventEventTypeChatGroupIconUpdated ConnectionRevokedWebhookEventEventType = "chat.group_icon_updated"`

    - `const ConnectionRevokedWebhookEventEventTypeChatGroupNameUpdateFailed ConnectionRevokedWebhookEventEventType = "chat.group_name_update_failed"`

    - `const ConnectionRevokedWebhookEventEventTypeChatGroupIconUpdateFailed ConnectionRevokedWebhookEventEventType = "chat.group_icon_update_failed"`

    - `const ConnectionRevokedWebhookEventEventTypeChatBackgroundUpdated ConnectionRevokedWebhookEventEventType = "chat.background_updated"`

    - `const ConnectionRevokedWebhookEventEventTypeChatBackgroundUpdateFailed ConnectionRevokedWebhookEventEventType = "chat.background_update_failed"`

    - `const ConnectionRevokedWebhookEventEventTypeChatTypingIndicatorStarted ConnectionRevokedWebhookEventEventType = "chat.typing_indicator.started"`

    - `const ConnectionRevokedWebhookEventEventTypeChatTypingIndicatorStopped ConnectionRevokedWebhookEventEventType = "chat.typing_indicator.stopped"`

    - `const ConnectionRevokedWebhookEventEventTypePhoneNumberStatusUpdated ConnectionRevokedWebhookEventEventType = "phone_number.status_updated"`

    - `const ConnectionRevokedWebhookEventEventTypePhoneNumberAssigned ConnectionRevokedWebhookEventEventType = "phone_number.assigned"`

    - `const ConnectionRevokedWebhookEventEventTypePhoneNumberReleased ConnectionRevokedWebhookEventEventType = "phone_number.released"`

    - `const ConnectionRevokedWebhookEventEventTypePhoneNumberLineTypeUpdated ConnectionRevokedWebhookEventEventType = "phone_number.line_type_updated"`

    - `const ConnectionRevokedWebhookEventEventTypeContactCardReceived ConnectionRevokedWebhookEventEventType = "contact_card.received"`

    - `const ConnectionRevokedWebhookEventEventTypeLocationSharingStarted ConnectionRevokedWebhookEventEventType = "location.sharing.started"`

    - `const ConnectionRevokedWebhookEventEventTypeLocationSharingStopped ConnectionRevokedWebhookEventEventType = "location.sharing.stopped"`

    - `const ConnectionRevokedWebhookEventEventTypePaymentDeclined ConnectionRevokedWebhookEventEventType = "payment.declined"`

    - `const ConnectionRevokedWebhookEventEventTypePaymentAuthorized ConnectionRevokedWebhookEventEventType = "payment.authorized"`

    - `const ConnectionRevokedWebhookEventEventTypeConnectionCreated ConnectionRevokedWebhookEventEventType = "connection.created"`

    - `const ConnectionRevokedWebhookEventEventTypeConnectionRevoked ConnectionRevokedWebhookEventEventType = "connection.revoked"`

    - `const ConnectionRevokedWebhookEventEventTypeZeroDayRetentionUpdated ConnectionRevokedWebhookEventEventType = "zero_day_retention.updated"`

    - `const ConnectionRevokedWebhookEventEventTypePhoneNumberForwardingUpdated ConnectionRevokedWebhookEventEventType = "phone_number.forwarding_updated"`

    - `const ConnectionRevokedWebhookEventEventTypeEnvironmentLineMoved ConnectionRevokedWebhookEventEventType = "environment.line_moved"`

    - `const ConnectionRevokedWebhookEventEventTypeContactCardCreated ConnectionRevokedWebhookEventEventType = "contact_card.created"`

    - `const ConnectionRevokedWebhookEventEventTypeContactCardUpdated ConnectionRevokedWebhookEventEventType = "contact_card.updated"`

    - `const ConnectionRevokedWebhookEventEventTypeContactCardDeleted ConnectionRevokedWebhookEventEventType = "contact_card.deleted"`

    - `const ConnectionRevokedWebhookEventEventTypeAPITokenCreated ConnectionRevokedWebhookEventEventType = "api_token.created"`

    - `const ConnectionRevokedWebhookEventEventTypeAPITokenRenamed ConnectionRevokedWebhookEventEventType = "api_token.renamed"`

    - `const ConnectionRevokedWebhookEventEventTypeAPITokenExpiryScheduled ConnectionRevokedWebhookEventEventType = "api_token.expiry_scheduled"`

    - `const ConnectionRevokedWebhookEventEventTypeAPITokenExpired ConnectionRevokedWebhookEventEventType = "api_token.expired"`

    - `const ConnectionRevokedWebhookEventEventTypeAPITokenActivated ConnectionRevokedWebhookEventEventType = "api_token.activated"`

    - `const ConnectionRevokedWebhookEventEventTypeAPITokenDeleted ConnectionRevokedWebhookEventEventType = "api_token.deleted"`

    - `const ConnectionRevokedWebhookEventEventTypeEnvironmentCreated ConnectionRevokedWebhookEventEventType = "environment.created"`

    - `const ConnectionRevokedWebhookEventEventTypeEnvironmentRenamed ConnectionRevokedWebhookEventEventType = "environment.renamed"`

    - `const ConnectionRevokedWebhookEventEventTypeEnvironmentDeleted ConnectionRevokedWebhookEventEventType = "environment.deleted"`

    - `const ConnectionRevokedWebhookEventEventTypeWebhookSubscriptionCreated ConnectionRevokedWebhookEventEventType = "webhook_subscription.created"`

    - `const ConnectionRevokedWebhookEventEventTypeWebhookSubscriptionDeleted ConnectionRevokedWebhookEventEventType = "webhook_subscription.deleted"`

    - `const ConnectionRevokedWebhookEventEventTypeWebhookSubscriptionTargetURLChanged ConnectionRevokedWebhookEventEventType = "webhook_subscription.target_url_changed"`

    - `const ConnectionRevokedWebhookEventEventTypeWebhookSubscriptionEnabled ConnectionRevokedWebhookEventEventType = "webhook_subscription.enabled"`

    - `const ConnectionRevokedWebhookEventEventTypeWebhookSubscriptionDisabled ConnectionRevokedWebhookEventEventType = "webhook_subscription.disabled"`

    - `const ConnectionRevokedWebhookEventEventTypeWebhookSubscriptionEventsUpdated ConnectionRevokedWebhookEventEventType = "webhook_subscription.events.updated"`

    - `const ConnectionRevokedWebhookEventEventTypeWebhookSubscriptionPhoneNumbersUpdated ConnectionRevokedWebhookEventEventType = "webhook_subscription.phone_numbers.updated"`

    - `const ConnectionRevokedWebhookEventEventTypeWebhookSubscriptionRoutingHeadersSet ConnectionRevokedWebhookEventEventType = "webhook_subscription.routing_headers_set"`

    - `const ConnectionRevokedWebhookEventEventTypeWebhookSubscriptionRoutingHeadersCleared ConnectionRevokedWebhookEventEventType = "webhook_subscription.routing_headers_cleared"`

    - `const ConnectionRevokedWebhookEventEventTypeTeamMemberAdded ConnectionRevokedWebhookEventEventType = "team_member.added"`

    - `const ConnectionRevokedWebhookEventEventTypeTeamMemberSignedIn ConnectionRevokedWebhookEventEventType = "team_member.signed_in"`

    - `const ConnectionRevokedWebhookEventEventTypeTeamMemberSignedOut ConnectionRevokedWebhookEventEventType = "team_member.signed_out"`

  - `PartnerID string`

    Partner identifier. Present on all webhooks for cross-referencing.

  - `TraceID string`

    Trace ID for debugging and correlation across systems.

  - `WebhookVersion string`

    Date-based webhook payload version.
    Determined by the `?version=` query parameter in your webhook subscription URL.
    If no version parameter is specified, defaults based on subscription creation date.

### payment.authorized

- `type PaymentAuthorizedWebhookEvent struct{…}`

  - `APIVersion string`

    API version for the webhook payload format

  - `CreatedAt Time`

    When the event was created

  - `Data PaymentAuthorizedWebhookEventData`

    The payment request, as returned by
    `GET /v3/payment_requests/{paymentRequestId}`.

    - `ID string`

      The payment request id.

    - `Amount int64`

      What was charged at checkout, in the currency's minor
      units. In `subscription` mode this is the first invoice's
      total — all items after any discounts are applied.

    - `CheckoutURL string`

      URL the recipient opens to pay
      (`https://zero.linqapp.com/pay/{slug}?session=...`).

    - `CreatedAt Time`

    - `Currency string`

    - `Object string`

    - `Status string`

      - `const PaymentAuthorizedWebhookEventDataStatusSucceeded PaymentAuthorizedWebhookEventDataStatus = "succeeded"`

      - `const PaymentAuthorizedWebhookEventDataStatusFailed PaymentAuthorizedWebhookEventDataStatus = "failed"`

      - `const PaymentAuthorizedWebhookEventDataStatusCanceled PaymentAuthorizedWebhookEventDataStatus = "canceled"`

      - `const PaymentAuthorizedWebhookEventDataStatusExpired PaymentAuthorizedWebhookEventDataStatus = "expired"`

    - `Description string`

    - `Discount PaymentAuthorizedWebhookEventDataDiscount`

      Subscription mode — the discount Stripe applied, read back
      from the coupon. Absent when none was applied.

      - `Coupon string`

      - `Label string`

        Name of the coupon/promo code displayed to customers.

      - `PromotionCode string`

    - `Interval string`

      Subscription mode — how often the subscription renews.

      - `const PaymentAuthorizedWebhookEventDataIntervalDay PaymentAuthorizedWebhookEventDataInterval = "day"`

      - `const PaymentAuthorizedWebhookEventDataIntervalWeek PaymentAuthorizedWebhookEventDataInterval = "week"`

      - `const PaymentAuthorizedWebhookEventDataIntervalMonth PaymentAuthorizedWebhookEventDataInterval = "month"`

      - `const PaymentAuthorizedWebhookEventDataIntervalYear PaymentAuthorizedWebhookEventDataInterval = "year"`

    - `IntervalCount int64`

      Subscription mode — intervals per renewal.

    - `Metadata map[string, string]`

    - `Mode string`

      Whether the request collected a one-time charge or started a subscription.

      - `const PaymentAuthorizedWebhookEventDataModePayment PaymentAuthorizedWebhookEventDataMode = "payment"`

      - `const PaymentAuthorizedWebhookEventDataModeSubscription PaymentAuthorizedWebhookEventDataMode = "subscription"`

    - `Natural PaymentAuthorizedWebhookEventDataNatural`

      Natural-rail join keys, present when `rail: natural`.

      - `PaymentRequestID string`

        The Natural payment request (`prq_...`).

      - `TransactionID string`

        The settled transaction (`txn_...`).

    - `PriceID string`

      Subscription mode — the recurring price subscribed to.

    - `Quantity int64`

      Subscription mode — units of the price subscribed to.

    - `Rail string`

      The rail this request settled on.

      - `const PaymentAuthorizedWebhookEventDataRailStripe PaymentAuthorizedWebhookEventDataRail = "stripe"`

      - `const PaymentAuthorizedWebhookEventDataRailNatural PaymentAuthorizedWebhookEventDataRail = "natural"`

    - `Stripe PaymentAuthorizedWebhookEventDataStripe`

      Ids of the Stripe objects on your connected account — join
      keys into your own Stripe Dashboard/API. Manage a
      subscription's post-checkout lifecycle with `subscription_id`.

      - `CustomerID string`

        The Customer the request is attached to (`cus_...`).
        Always set in subscription mode; set in payment mode
        only when the request was created with a `customer_id`.

      - `PaymentIntentID string`

        The PaymentIntent collected at checkout (`pi_...`).

      - `SubscriptionID string`

        Subscription mode — the Subscription (`sub_...`).

    - `TrialEnd Time`

      Subscription mode — when the free trial ends and the first
      charge happens. On a trial request, `payment.succeeded`
      means the payment method was collected ($0 moved).

    - `UpdatedAt Time`

  - `EventID string`

    Unique identifier for this event (for deduplication)

  - `EventType PaymentAuthorizedWebhookEventEventType`

    - `const PaymentAuthorizedWebhookEventEventTypePaymentSucceeded PaymentAuthorizedWebhookEventEventType = "payment.succeeded"`

    - `const PaymentAuthorizedWebhookEventEventTypePaymentCanceled PaymentAuthorizedWebhookEventEventType = "payment.canceled"`

    - `const PaymentAuthorizedWebhookEventEventTypePaymentExpired PaymentAuthorizedWebhookEventEventType = "payment.expired"`

    - `const PaymentAuthorizedWebhookEventEventTypeMessageSent PaymentAuthorizedWebhookEventEventType = "message.sent"`

    - `const PaymentAuthorizedWebhookEventEventTypeMessageReceived PaymentAuthorizedWebhookEventEventType = "message.received"`

    - `const PaymentAuthorizedWebhookEventEventTypeMessageRead PaymentAuthorizedWebhookEventEventType = "message.read"`

    - `const PaymentAuthorizedWebhookEventEventTypeMessageDelivered PaymentAuthorizedWebhookEventEventType = "message.delivered"`

    - `const PaymentAuthorizedWebhookEventEventTypeMessageFailed PaymentAuthorizedWebhookEventEventType = "message.failed"`

    - `const PaymentAuthorizedWebhookEventEventTypeMessageEdited PaymentAuthorizedWebhookEventEventType = "message.edited"`

    - `const PaymentAuthorizedWebhookEventEventTypeReactionAdded PaymentAuthorizedWebhookEventEventType = "reaction.added"`

    - `const PaymentAuthorizedWebhookEventEventTypeReactionRemoved PaymentAuthorizedWebhookEventEventType = "reaction.removed"`

    - `const PaymentAuthorizedWebhookEventEventTypePollReceived PaymentAuthorizedWebhookEventEventType = "poll.received"`

    - `const PaymentAuthorizedWebhookEventEventTypePollFailed PaymentAuthorizedWebhookEventEventType = "poll.failed"`

    - `const PaymentAuthorizedWebhookEventEventTypePollSent PaymentAuthorizedWebhookEventEventType = "poll.sent"`

    - `const PaymentAuthorizedWebhookEventEventTypePollDelivered PaymentAuthorizedWebhookEventEventType = "poll.delivered"`

    - `const PaymentAuthorizedWebhookEventEventTypePollRead PaymentAuthorizedWebhookEventEventType = "poll.read"`

    - `const PaymentAuthorizedWebhookEventEventTypePollUpdated PaymentAuthorizedWebhookEventEventType = "poll.updated"`

    - `const PaymentAuthorizedWebhookEventEventTypePollVoteAdded PaymentAuthorizedWebhookEventEventType = "poll.vote.added"`

    - `const PaymentAuthorizedWebhookEventEventTypePollVoteRemoved PaymentAuthorizedWebhookEventEventType = "poll.vote.removed"`

    - `const PaymentAuthorizedWebhookEventEventTypePollReactionAdded PaymentAuthorizedWebhookEventEventType = "poll.reaction.added"`

    - `const PaymentAuthorizedWebhookEventEventTypeParticipantAdded PaymentAuthorizedWebhookEventEventType = "participant.added"`

    - `const PaymentAuthorizedWebhookEventEventTypeParticipantRemoved PaymentAuthorizedWebhookEventEventType = "participant.removed"`

    - `const PaymentAuthorizedWebhookEventEventTypeChatCreated PaymentAuthorizedWebhookEventEventType = "chat.created"`

    - `const PaymentAuthorizedWebhookEventEventTypeChatGroupNameUpdated PaymentAuthorizedWebhookEventEventType = "chat.group_name_updated"`

    - `const PaymentAuthorizedWebhookEventEventTypeChatGroupIconUpdated PaymentAuthorizedWebhookEventEventType = "chat.group_icon_updated"`

    - `const PaymentAuthorizedWebhookEventEventTypeChatGroupNameUpdateFailed PaymentAuthorizedWebhookEventEventType = "chat.group_name_update_failed"`

    - `const PaymentAuthorizedWebhookEventEventTypeChatGroupIconUpdateFailed PaymentAuthorizedWebhookEventEventType = "chat.group_icon_update_failed"`

    - `const PaymentAuthorizedWebhookEventEventTypeChatBackgroundUpdated PaymentAuthorizedWebhookEventEventType = "chat.background_updated"`

    - `const PaymentAuthorizedWebhookEventEventTypeChatBackgroundUpdateFailed PaymentAuthorizedWebhookEventEventType = "chat.background_update_failed"`

    - `const PaymentAuthorizedWebhookEventEventTypeChatTypingIndicatorStarted PaymentAuthorizedWebhookEventEventType = "chat.typing_indicator.started"`

    - `const PaymentAuthorizedWebhookEventEventTypeChatTypingIndicatorStopped PaymentAuthorizedWebhookEventEventType = "chat.typing_indicator.stopped"`

    - `const PaymentAuthorizedWebhookEventEventTypePhoneNumberStatusUpdated PaymentAuthorizedWebhookEventEventType = "phone_number.status_updated"`

    - `const PaymentAuthorizedWebhookEventEventTypePhoneNumberAssigned PaymentAuthorizedWebhookEventEventType = "phone_number.assigned"`

    - `const PaymentAuthorizedWebhookEventEventTypePhoneNumberReleased PaymentAuthorizedWebhookEventEventType = "phone_number.released"`

    - `const PaymentAuthorizedWebhookEventEventTypePhoneNumberLineTypeUpdated PaymentAuthorizedWebhookEventEventType = "phone_number.line_type_updated"`

    - `const PaymentAuthorizedWebhookEventEventTypeContactCardReceived PaymentAuthorizedWebhookEventEventType = "contact_card.received"`

    - `const PaymentAuthorizedWebhookEventEventTypeLocationSharingStarted PaymentAuthorizedWebhookEventEventType = "location.sharing.started"`

    - `const PaymentAuthorizedWebhookEventEventTypeLocationSharingStopped PaymentAuthorizedWebhookEventEventType = "location.sharing.stopped"`

    - `const PaymentAuthorizedWebhookEventEventTypePaymentDeclined PaymentAuthorizedWebhookEventEventType = "payment.declined"`

    - `const PaymentAuthorizedWebhookEventEventTypePaymentAuthorized PaymentAuthorizedWebhookEventEventType = "payment.authorized"`

    - `const PaymentAuthorizedWebhookEventEventTypeConnectionCreated PaymentAuthorizedWebhookEventEventType = "connection.created"`

    - `const PaymentAuthorizedWebhookEventEventTypeConnectionRevoked PaymentAuthorizedWebhookEventEventType = "connection.revoked"`

    - `const PaymentAuthorizedWebhookEventEventTypeZeroDayRetentionUpdated PaymentAuthorizedWebhookEventEventType = "zero_day_retention.updated"`

    - `const PaymentAuthorizedWebhookEventEventTypePhoneNumberForwardingUpdated PaymentAuthorizedWebhookEventEventType = "phone_number.forwarding_updated"`

    - `const PaymentAuthorizedWebhookEventEventTypeEnvironmentLineMoved PaymentAuthorizedWebhookEventEventType = "environment.line_moved"`

    - `const PaymentAuthorizedWebhookEventEventTypeContactCardCreated PaymentAuthorizedWebhookEventEventType = "contact_card.created"`

    - `const PaymentAuthorizedWebhookEventEventTypeContactCardUpdated PaymentAuthorizedWebhookEventEventType = "contact_card.updated"`

    - `const PaymentAuthorizedWebhookEventEventTypeContactCardDeleted PaymentAuthorizedWebhookEventEventType = "contact_card.deleted"`

    - `const PaymentAuthorizedWebhookEventEventTypeAPITokenCreated PaymentAuthorizedWebhookEventEventType = "api_token.created"`

    - `const PaymentAuthorizedWebhookEventEventTypeAPITokenRenamed PaymentAuthorizedWebhookEventEventType = "api_token.renamed"`

    - `const PaymentAuthorizedWebhookEventEventTypeAPITokenExpiryScheduled PaymentAuthorizedWebhookEventEventType = "api_token.expiry_scheduled"`

    - `const PaymentAuthorizedWebhookEventEventTypeAPITokenExpired PaymentAuthorizedWebhookEventEventType = "api_token.expired"`

    - `const PaymentAuthorizedWebhookEventEventTypeAPITokenActivated PaymentAuthorizedWebhookEventEventType = "api_token.activated"`

    - `const PaymentAuthorizedWebhookEventEventTypeAPITokenDeleted PaymentAuthorizedWebhookEventEventType = "api_token.deleted"`

    - `const PaymentAuthorizedWebhookEventEventTypeEnvironmentCreated PaymentAuthorizedWebhookEventEventType = "environment.created"`

    - `const PaymentAuthorizedWebhookEventEventTypeEnvironmentRenamed PaymentAuthorizedWebhookEventEventType = "environment.renamed"`

    - `const PaymentAuthorizedWebhookEventEventTypeEnvironmentDeleted PaymentAuthorizedWebhookEventEventType = "environment.deleted"`

    - `const PaymentAuthorizedWebhookEventEventTypeWebhookSubscriptionCreated PaymentAuthorizedWebhookEventEventType = "webhook_subscription.created"`

    - `const PaymentAuthorizedWebhookEventEventTypeWebhookSubscriptionDeleted PaymentAuthorizedWebhookEventEventType = "webhook_subscription.deleted"`

    - `const PaymentAuthorizedWebhookEventEventTypeWebhookSubscriptionTargetURLChanged PaymentAuthorizedWebhookEventEventType = "webhook_subscription.target_url_changed"`

    - `const PaymentAuthorizedWebhookEventEventTypeWebhookSubscriptionEnabled PaymentAuthorizedWebhookEventEventType = "webhook_subscription.enabled"`

    - `const PaymentAuthorizedWebhookEventEventTypeWebhookSubscriptionDisabled PaymentAuthorizedWebhookEventEventType = "webhook_subscription.disabled"`

    - `const PaymentAuthorizedWebhookEventEventTypeWebhookSubscriptionEventsUpdated PaymentAuthorizedWebhookEventEventType = "webhook_subscription.events.updated"`

    - `const PaymentAuthorizedWebhookEventEventTypeWebhookSubscriptionPhoneNumbersUpdated PaymentAuthorizedWebhookEventEventType = "webhook_subscription.phone_numbers.updated"`

    - `const PaymentAuthorizedWebhookEventEventTypeWebhookSubscriptionRoutingHeadersSet PaymentAuthorizedWebhookEventEventType = "webhook_subscription.routing_headers_set"`

    - `const PaymentAuthorizedWebhookEventEventTypeWebhookSubscriptionRoutingHeadersCleared PaymentAuthorizedWebhookEventEventType = "webhook_subscription.routing_headers_cleared"`

    - `const PaymentAuthorizedWebhookEventEventTypeTeamMemberAdded PaymentAuthorizedWebhookEventEventType = "team_member.added"`

    - `const PaymentAuthorizedWebhookEventEventTypeTeamMemberSignedIn PaymentAuthorizedWebhookEventEventType = "team_member.signed_in"`

    - `const PaymentAuthorizedWebhookEventEventTypeTeamMemberSignedOut PaymentAuthorizedWebhookEventEventType = "team_member.signed_out"`

  - `PartnerID string`

    Partner identifier. Present on all webhooks for cross-referencing.

  - `TraceID string`

    Trace ID for debugging and correlation across systems.

  - `WebhookVersion string`

    Date-based webhook payload version.
    Determined by the `?version=` query parameter in your webhook subscription URL.
    If no version parameter is specified, defaults based on subscription creation date.

### payment.canceled

- `type PaymentCanceledWebhookEvent struct{…}`

  - `APIVersion string`

    API version for the webhook payload format

  - `CreatedAt Time`

    When the event was created

  - `Data PaymentCanceledWebhookEventData`

    The payment request, as returned by
    `GET /v3/payment_requests/{paymentRequestId}`.

    - `ID string`

      The payment request id.

    - `Amount int64`

      What was charged at checkout, in the currency's minor
      units. In `subscription` mode this is the first invoice's
      total — all items after any discounts are applied.

    - `CheckoutURL string`

      URL the recipient opens to pay
      (`https://zero.linqapp.com/pay/{slug}?session=...`).

    - `CreatedAt Time`

    - `Currency string`

    - `Object string`

    - `Status string`

      - `const PaymentCanceledWebhookEventDataStatusSucceeded PaymentCanceledWebhookEventDataStatus = "succeeded"`

      - `const PaymentCanceledWebhookEventDataStatusFailed PaymentCanceledWebhookEventDataStatus = "failed"`

      - `const PaymentCanceledWebhookEventDataStatusCanceled PaymentCanceledWebhookEventDataStatus = "canceled"`

      - `const PaymentCanceledWebhookEventDataStatusExpired PaymentCanceledWebhookEventDataStatus = "expired"`

    - `Description string`

    - `Discount PaymentCanceledWebhookEventDataDiscount`

      Subscription mode — the discount Stripe applied, read back
      from the coupon. Absent when none was applied.

      - `Coupon string`

      - `Label string`

        Name of the coupon/promo code displayed to customers.

      - `PromotionCode string`

    - `Interval string`

      Subscription mode — how often the subscription renews.

      - `const PaymentCanceledWebhookEventDataIntervalDay PaymentCanceledWebhookEventDataInterval = "day"`

      - `const PaymentCanceledWebhookEventDataIntervalWeek PaymentCanceledWebhookEventDataInterval = "week"`

      - `const PaymentCanceledWebhookEventDataIntervalMonth PaymentCanceledWebhookEventDataInterval = "month"`

      - `const PaymentCanceledWebhookEventDataIntervalYear PaymentCanceledWebhookEventDataInterval = "year"`

    - `IntervalCount int64`

      Subscription mode — intervals per renewal.

    - `Metadata map[string, string]`

    - `Mode string`

      Whether the request collected a one-time charge or started a subscription.

      - `const PaymentCanceledWebhookEventDataModePayment PaymentCanceledWebhookEventDataMode = "payment"`

      - `const PaymentCanceledWebhookEventDataModeSubscription PaymentCanceledWebhookEventDataMode = "subscription"`

    - `Natural PaymentCanceledWebhookEventDataNatural`

      Natural-rail join keys, present when `rail: natural`.

      - `PaymentRequestID string`

        The Natural payment request (`prq_...`).

      - `TransactionID string`

        The settled transaction (`txn_...`).

    - `PriceID string`

      Subscription mode — the recurring price subscribed to.

    - `Quantity int64`

      Subscription mode — units of the price subscribed to.

    - `Rail string`

      The rail this request settled on.

      - `const PaymentCanceledWebhookEventDataRailStripe PaymentCanceledWebhookEventDataRail = "stripe"`

      - `const PaymentCanceledWebhookEventDataRailNatural PaymentCanceledWebhookEventDataRail = "natural"`

    - `Stripe PaymentCanceledWebhookEventDataStripe`

      Ids of the Stripe objects on your connected account — join
      keys into your own Stripe Dashboard/API. Manage a
      subscription's post-checkout lifecycle with `subscription_id`.

      - `CustomerID string`

        The Customer the request is attached to (`cus_...`).
        Always set in subscription mode; set in payment mode
        only when the request was created with a `customer_id`.

      - `PaymentIntentID string`

        The PaymentIntent collected at checkout (`pi_...`).

      - `SubscriptionID string`

        Subscription mode — the Subscription (`sub_...`).

    - `TrialEnd Time`

      Subscription mode — when the free trial ends and the first
      charge happens. On a trial request, `payment.succeeded`
      means the payment method was collected ($0 moved).

    - `UpdatedAt Time`

  - `EventID string`

    Unique identifier for this event (for deduplication)

  - `EventType PaymentCanceledWebhookEventEventType`

    - `const PaymentCanceledWebhookEventEventTypePaymentSucceeded PaymentCanceledWebhookEventEventType = "payment.succeeded"`

    - `const PaymentCanceledWebhookEventEventTypePaymentCanceled PaymentCanceledWebhookEventEventType = "payment.canceled"`

    - `const PaymentCanceledWebhookEventEventTypePaymentExpired PaymentCanceledWebhookEventEventType = "payment.expired"`

    - `const PaymentCanceledWebhookEventEventTypeMessageSent PaymentCanceledWebhookEventEventType = "message.sent"`

    - `const PaymentCanceledWebhookEventEventTypeMessageReceived PaymentCanceledWebhookEventEventType = "message.received"`

    - `const PaymentCanceledWebhookEventEventTypeMessageRead PaymentCanceledWebhookEventEventType = "message.read"`

    - `const PaymentCanceledWebhookEventEventTypeMessageDelivered PaymentCanceledWebhookEventEventType = "message.delivered"`

    - `const PaymentCanceledWebhookEventEventTypeMessageFailed PaymentCanceledWebhookEventEventType = "message.failed"`

    - `const PaymentCanceledWebhookEventEventTypeMessageEdited PaymentCanceledWebhookEventEventType = "message.edited"`

    - `const PaymentCanceledWebhookEventEventTypeReactionAdded PaymentCanceledWebhookEventEventType = "reaction.added"`

    - `const PaymentCanceledWebhookEventEventTypeReactionRemoved PaymentCanceledWebhookEventEventType = "reaction.removed"`

    - `const PaymentCanceledWebhookEventEventTypePollReceived PaymentCanceledWebhookEventEventType = "poll.received"`

    - `const PaymentCanceledWebhookEventEventTypePollFailed PaymentCanceledWebhookEventEventType = "poll.failed"`

    - `const PaymentCanceledWebhookEventEventTypePollSent PaymentCanceledWebhookEventEventType = "poll.sent"`

    - `const PaymentCanceledWebhookEventEventTypePollDelivered PaymentCanceledWebhookEventEventType = "poll.delivered"`

    - `const PaymentCanceledWebhookEventEventTypePollRead PaymentCanceledWebhookEventEventType = "poll.read"`

    - `const PaymentCanceledWebhookEventEventTypePollUpdated PaymentCanceledWebhookEventEventType = "poll.updated"`

    - `const PaymentCanceledWebhookEventEventTypePollVoteAdded PaymentCanceledWebhookEventEventType = "poll.vote.added"`

    - `const PaymentCanceledWebhookEventEventTypePollVoteRemoved PaymentCanceledWebhookEventEventType = "poll.vote.removed"`

    - `const PaymentCanceledWebhookEventEventTypePollReactionAdded PaymentCanceledWebhookEventEventType = "poll.reaction.added"`

    - `const PaymentCanceledWebhookEventEventTypeParticipantAdded PaymentCanceledWebhookEventEventType = "participant.added"`

    - `const PaymentCanceledWebhookEventEventTypeParticipantRemoved PaymentCanceledWebhookEventEventType = "participant.removed"`

    - `const PaymentCanceledWebhookEventEventTypeChatCreated PaymentCanceledWebhookEventEventType = "chat.created"`

    - `const PaymentCanceledWebhookEventEventTypeChatGroupNameUpdated PaymentCanceledWebhookEventEventType = "chat.group_name_updated"`

    - `const PaymentCanceledWebhookEventEventTypeChatGroupIconUpdated PaymentCanceledWebhookEventEventType = "chat.group_icon_updated"`

    - `const PaymentCanceledWebhookEventEventTypeChatGroupNameUpdateFailed PaymentCanceledWebhookEventEventType = "chat.group_name_update_failed"`

    - `const PaymentCanceledWebhookEventEventTypeChatGroupIconUpdateFailed PaymentCanceledWebhookEventEventType = "chat.group_icon_update_failed"`

    - `const PaymentCanceledWebhookEventEventTypeChatBackgroundUpdated PaymentCanceledWebhookEventEventType = "chat.background_updated"`

    - `const PaymentCanceledWebhookEventEventTypeChatBackgroundUpdateFailed PaymentCanceledWebhookEventEventType = "chat.background_update_failed"`

    - `const PaymentCanceledWebhookEventEventTypeChatTypingIndicatorStarted PaymentCanceledWebhookEventEventType = "chat.typing_indicator.started"`

    - `const PaymentCanceledWebhookEventEventTypeChatTypingIndicatorStopped PaymentCanceledWebhookEventEventType = "chat.typing_indicator.stopped"`

    - `const PaymentCanceledWebhookEventEventTypePhoneNumberStatusUpdated PaymentCanceledWebhookEventEventType = "phone_number.status_updated"`

    - `const PaymentCanceledWebhookEventEventTypePhoneNumberAssigned PaymentCanceledWebhookEventEventType = "phone_number.assigned"`

    - `const PaymentCanceledWebhookEventEventTypePhoneNumberReleased PaymentCanceledWebhookEventEventType = "phone_number.released"`

    - `const PaymentCanceledWebhookEventEventTypePhoneNumberLineTypeUpdated PaymentCanceledWebhookEventEventType = "phone_number.line_type_updated"`

    - `const PaymentCanceledWebhookEventEventTypeContactCardReceived PaymentCanceledWebhookEventEventType = "contact_card.received"`

    - `const PaymentCanceledWebhookEventEventTypeLocationSharingStarted PaymentCanceledWebhookEventEventType = "location.sharing.started"`

    - `const PaymentCanceledWebhookEventEventTypeLocationSharingStopped PaymentCanceledWebhookEventEventType = "location.sharing.stopped"`

    - `const PaymentCanceledWebhookEventEventTypePaymentDeclined PaymentCanceledWebhookEventEventType = "payment.declined"`

    - `const PaymentCanceledWebhookEventEventTypePaymentAuthorized PaymentCanceledWebhookEventEventType = "payment.authorized"`

    - `const PaymentCanceledWebhookEventEventTypeConnectionCreated PaymentCanceledWebhookEventEventType = "connection.created"`

    - `const PaymentCanceledWebhookEventEventTypeConnectionRevoked PaymentCanceledWebhookEventEventType = "connection.revoked"`

    - `const PaymentCanceledWebhookEventEventTypeZeroDayRetentionUpdated PaymentCanceledWebhookEventEventType = "zero_day_retention.updated"`

    - `const PaymentCanceledWebhookEventEventTypePhoneNumberForwardingUpdated PaymentCanceledWebhookEventEventType = "phone_number.forwarding_updated"`

    - `const PaymentCanceledWebhookEventEventTypeEnvironmentLineMoved PaymentCanceledWebhookEventEventType = "environment.line_moved"`

    - `const PaymentCanceledWebhookEventEventTypeContactCardCreated PaymentCanceledWebhookEventEventType = "contact_card.created"`

    - `const PaymentCanceledWebhookEventEventTypeContactCardUpdated PaymentCanceledWebhookEventEventType = "contact_card.updated"`

    - `const PaymentCanceledWebhookEventEventTypeContactCardDeleted PaymentCanceledWebhookEventEventType = "contact_card.deleted"`

    - `const PaymentCanceledWebhookEventEventTypeAPITokenCreated PaymentCanceledWebhookEventEventType = "api_token.created"`

    - `const PaymentCanceledWebhookEventEventTypeAPITokenRenamed PaymentCanceledWebhookEventEventType = "api_token.renamed"`

    - `const PaymentCanceledWebhookEventEventTypeAPITokenExpiryScheduled PaymentCanceledWebhookEventEventType = "api_token.expiry_scheduled"`

    - `const PaymentCanceledWebhookEventEventTypeAPITokenExpired PaymentCanceledWebhookEventEventType = "api_token.expired"`

    - `const PaymentCanceledWebhookEventEventTypeAPITokenActivated PaymentCanceledWebhookEventEventType = "api_token.activated"`

    - `const PaymentCanceledWebhookEventEventTypeAPITokenDeleted PaymentCanceledWebhookEventEventType = "api_token.deleted"`

    - `const PaymentCanceledWebhookEventEventTypeEnvironmentCreated PaymentCanceledWebhookEventEventType = "environment.created"`

    - `const PaymentCanceledWebhookEventEventTypeEnvironmentRenamed PaymentCanceledWebhookEventEventType = "environment.renamed"`

    - `const PaymentCanceledWebhookEventEventTypeEnvironmentDeleted PaymentCanceledWebhookEventEventType = "environment.deleted"`

    - `const PaymentCanceledWebhookEventEventTypeWebhookSubscriptionCreated PaymentCanceledWebhookEventEventType = "webhook_subscription.created"`

    - `const PaymentCanceledWebhookEventEventTypeWebhookSubscriptionDeleted PaymentCanceledWebhookEventEventType = "webhook_subscription.deleted"`

    - `const PaymentCanceledWebhookEventEventTypeWebhookSubscriptionTargetURLChanged PaymentCanceledWebhookEventEventType = "webhook_subscription.target_url_changed"`

    - `const PaymentCanceledWebhookEventEventTypeWebhookSubscriptionEnabled PaymentCanceledWebhookEventEventType = "webhook_subscription.enabled"`

    - `const PaymentCanceledWebhookEventEventTypeWebhookSubscriptionDisabled PaymentCanceledWebhookEventEventType = "webhook_subscription.disabled"`

    - `const PaymentCanceledWebhookEventEventTypeWebhookSubscriptionEventsUpdated PaymentCanceledWebhookEventEventType = "webhook_subscription.events.updated"`

    - `const PaymentCanceledWebhookEventEventTypeWebhookSubscriptionPhoneNumbersUpdated PaymentCanceledWebhookEventEventType = "webhook_subscription.phone_numbers.updated"`

    - `const PaymentCanceledWebhookEventEventTypeWebhookSubscriptionRoutingHeadersSet PaymentCanceledWebhookEventEventType = "webhook_subscription.routing_headers_set"`

    - `const PaymentCanceledWebhookEventEventTypeWebhookSubscriptionRoutingHeadersCleared PaymentCanceledWebhookEventEventType = "webhook_subscription.routing_headers_cleared"`

    - `const PaymentCanceledWebhookEventEventTypeTeamMemberAdded PaymentCanceledWebhookEventEventType = "team_member.added"`

    - `const PaymentCanceledWebhookEventEventTypeTeamMemberSignedIn PaymentCanceledWebhookEventEventType = "team_member.signed_in"`

    - `const PaymentCanceledWebhookEventEventTypeTeamMemberSignedOut PaymentCanceledWebhookEventEventType = "team_member.signed_out"`

  - `PartnerID string`

    Partner identifier. Present on all webhooks for cross-referencing.

  - `TraceID string`

    Trace ID for debugging and correlation across systems.

  - `WebhookVersion string`

    Date-based webhook payload version.
    Determined by the `?version=` query parameter in your webhook subscription URL.
    If no version parameter is specified, defaults based on subscription creation date.

### payment.declined

- `type PaymentDeclinedWebhookEvent struct{…}`

  - `APIVersion string`

    API version for the webhook payload format

  - `CreatedAt Time`

    When the event was created

  - `Data PaymentDeclinedWebhookEventData`

    The payment request, as returned by
    `GET /v3/payment_requests/{paymentRequestId}`.

    - `ID string`

      The payment request id.

    - `Amount int64`

      What was charged at checkout, in the currency's minor
      units. In `subscription` mode this is the first invoice's
      total — all items after any discounts are applied.

    - `CheckoutURL string`

      URL the recipient opens to pay
      (`https://zero.linqapp.com/pay/{slug}?session=...`).

    - `CreatedAt Time`

    - `Currency string`

    - `Object string`

    - `Status string`

      - `const PaymentDeclinedWebhookEventDataStatusSucceeded PaymentDeclinedWebhookEventDataStatus = "succeeded"`

      - `const PaymentDeclinedWebhookEventDataStatusFailed PaymentDeclinedWebhookEventDataStatus = "failed"`

      - `const PaymentDeclinedWebhookEventDataStatusCanceled PaymentDeclinedWebhookEventDataStatus = "canceled"`

      - `const PaymentDeclinedWebhookEventDataStatusExpired PaymentDeclinedWebhookEventDataStatus = "expired"`

    - `Description string`

    - `Discount PaymentDeclinedWebhookEventDataDiscount`

      Subscription mode — the discount Stripe applied, read back
      from the coupon. Absent when none was applied.

      - `Coupon string`

      - `Label string`

        Name of the coupon/promo code displayed to customers.

      - `PromotionCode string`

    - `Interval string`

      Subscription mode — how often the subscription renews.

      - `const PaymentDeclinedWebhookEventDataIntervalDay PaymentDeclinedWebhookEventDataInterval = "day"`

      - `const PaymentDeclinedWebhookEventDataIntervalWeek PaymentDeclinedWebhookEventDataInterval = "week"`

      - `const PaymentDeclinedWebhookEventDataIntervalMonth PaymentDeclinedWebhookEventDataInterval = "month"`

      - `const PaymentDeclinedWebhookEventDataIntervalYear PaymentDeclinedWebhookEventDataInterval = "year"`

    - `IntervalCount int64`

      Subscription mode — intervals per renewal.

    - `Metadata map[string, string]`

    - `Mode string`

      Whether the request collected a one-time charge or started a subscription.

      - `const PaymentDeclinedWebhookEventDataModePayment PaymentDeclinedWebhookEventDataMode = "payment"`

      - `const PaymentDeclinedWebhookEventDataModeSubscription PaymentDeclinedWebhookEventDataMode = "subscription"`

    - `Natural PaymentDeclinedWebhookEventDataNatural`

      Natural-rail join keys, present when `rail: natural`.

      - `PaymentRequestID string`

        The Natural payment request (`prq_...`).

      - `TransactionID string`

        The settled transaction (`txn_...`).

    - `PriceID string`

      Subscription mode — the recurring price subscribed to.

    - `Quantity int64`

      Subscription mode — units of the price subscribed to.

    - `Rail string`

      The rail this request settled on.

      - `const PaymentDeclinedWebhookEventDataRailStripe PaymentDeclinedWebhookEventDataRail = "stripe"`

      - `const PaymentDeclinedWebhookEventDataRailNatural PaymentDeclinedWebhookEventDataRail = "natural"`

    - `Stripe PaymentDeclinedWebhookEventDataStripe`

      Ids of the Stripe objects on your connected account — join
      keys into your own Stripe Dashboard/API. Manage a
      subscription's post-checkout lifecycle with `subscription_id`.

      - `CustomerID string`

        The Customer the request is attached to (`cus_...`).
        Always set in subscription mode; set in payment mode
        only when the request was created with a `customer_id`.

      - `PaymentIntentID string`

        The PaymentIntent collected at checkout (`pi_...`).

      - `SubscriptionID string`

        Subscription mode — the Subscription (`sub_...`).

    - `TrialEnd Time`

      Subscription mode — when the free trial ends and the first
      charge happens. On a trial request, `payment.succeeded`
      means the payment method was collected ($0 moved).

    - `UpdatedAt Time`

  - `EventID string`

    Unique identifier for this event (for deduplication)

  - `EventType PaymentDeclinedWebhookEventEventType`

    - `const PaymentDeclinedWebhookEventEventTypePaymentSucceeded PaymentDeclinedWebhookEventEventType = "payment.succeeded"`

    - `const PaymentDeclinedWebhookEventEventTypePaymentCanceled PaymentDeclinedWebhookEventEventType = "payment.canceled"`

    - `const PaymentDeclinedWebhookEventEventTypePaymentExpired PaymentDeclinedWebhookEventEventType = "payment.expired"`

    - `const PaymentDeclinedWebhookEventEventTypeMessageSent PaymentDeclinedWebhookEventEventType = "message.sent"`

    - `const PaymentDeclinedWebhookEventEventTypeMessageReceived PaymentDeclinedWebhookEventEventType = "message.received"`

    - `const PaymentDeclinedWebhookEventEventTypeMessageRead PaymentDeclinedWebhookEventEventType = "message.read"`

    - `const PaymentDeclinedWebhookEventEventTypeMessageDelivered PaymentDeclinedWebhookEventEventType = "message.delivered"`

    - `const PaymentDeclinedWebhookEventEventTypeMessageFailed PaymentDeclinedWebhookEventEventType = "message.failed"`

    - `const PaymentDeclinedWebhookEventEventTypeMessageEdited PaymentDeclinedWebhookEventEventType = "message.edited"`

    - `const PaymentDeclinedWebhookEventEventTypeReactionAdded PaymentDeclinedWebhookEventEventType = "reaction.added"`

    - `const PaymentDeclinedWebhookEventEventTypeReactionRemoved PaymentDeclinedWebhookEventEventType = "reaction.removed"`

    - `const PaymentDeclinedWebhookEventEventTypePollReceived PaymentDeclinedWebhookEventEventType = "poll.received"`

    - `const PaymentDeclinedWebhookEventEventTypePollFailed PaymentDeclinedWebhookEventEventType = "poll.failed"`

    - `const PaymentDeclinedWebhookEventEventTypePollSent PaymentDeclinedWebhookEventEventType = "poll.sent"`

    - `const PaymentDeclinedWebhookEventEventTypePollDelivered PaymentDeclinedWebhookEventEventType = "poll.delivered"`

    - `const PaymentDeclinedWebhookEventEventTypePollRead PaymentDeclinedWebhookEventEventType = "poll.read"`

    - `const PaymentDeclinedWebhookEventEventTypePollUpdated PaymentDeclinedWebhookEventEventType = "poll.updated"`

    - `const PaymentDeclinedWebhookEventEventTypePollVoteAdded PaymentDeclinedWebhookEventEventType = "poll.vote.added"`

    - `const PaymentDeclinedWebhookEventEventTypePollVoteRemoved PaymentDeclinedWebhookEventEventType = "poll.vote.removed"`

    - `const PaymentDeclinedWebhookEventEventTypePollReactionAdded PaymentDeclinedWebhookEventEventType = "poll.reaction.added"`

    - `const PaymentDeclinedWebhookEventEventTypeParticipantAdded PaymentDeclinedWebhookEventEventType = "participant.added"`

    - `const PaymentDeclinedWebhookEventEventTypeParticipantRemoved PaymentDeclinedWebhookEventEventType = "participant.removed"`

    - `const PaymentDeclinedWebhookEventEventTypeChatCreated PaymentDeclinedWebhookEventEventType = "chat.created"`

    - `const PaymentDeclinedWebhookEventEventTypeChatGroupNameUpdated PaymentDeclinedWebhookEventEventType = "chat.group_name_updated"`

    - `const PaymentDeclinedWebhookEventEventTypeChatGroupIconUpdated PaymentDeclinedWebhookEventEventType = "chat.group_icon_updated"`

    - `const PaymentDeclinedWebhookEventEventTypeChatGroupNameUpdateFailed PaymentDeclinedWebhookEventEventType = "chat.group_name_update_failed"`

    - `const PaymentDeclinedWebhookEventEventTypeChatGroupIconUpdateFailed PaymentDeclinedWebhookEventEventType = "chat.group_icon_update_failed"`

    - `const PaymentDeclinedWebhookEventEventTypeChatBackgroundUpdated PaymentDeclinedWebhookEventEventType = "chat.background_updated"`

    - `const PaymentDeclinedWebhookEventEventTypeChatBackgroundUpdateFailed PaymentDeclinedWebhookEventEventType = "chat.background_update_failed"`

    - `const PaymentDeclinedWebhookEventEventTypeChatTypingIndicatorStarted PaymentDeclinedWebhookEventEventType = "chat.typing_indicator.started"`

    - `const PaymentDeclinedWebhookEventEventTypeChatTypingIndicatorStopped PaymentDeclinedWebhookEventEventType = "chat.typing_indicator.stopped"`

    - `const PaymentDeclinedWebhookEventEventTypePhoneNumberStatusUpdated PaymentDeclinedWebhookEventEventType = "phone_number.status_updated"`

    - `const PaymentDeclinedWebhookEventEventTypePhoneNumberAssigned PaymentDeclinedWebhookEventEventType = "phone_number.assigned"`

    - `const PaymentDeclinedWebhookEventEventTypePhoneNumberReleased PaymentDeclinedWebhookEventEventType = "phone_number.released"`

    - `const PaymentDeclinedWebhookEventEventTypePhoneNumberLineTypeUpdated PaymentDeclinedWebhookEventEventType = "phone_number.line_type_updated"`

    - `const PaymentDeclinedWebhookEventEventTypeContactCardReceived PaymentDeclinedWebhookEventEventType = "contact_card.received"`

    - `const PaymentDeclinedWebhookEventEventTypeLocationSharingStarted PaymentDeclinedWebhookEventEventType = "location.sharing.started"`

    - `const PaymentDeclinedWebhookEventEventTypeLocationSharingStopped PaymentDeclinedWebhookEventEventType = "location.sharing.stopped"`

    - `const PaymentDeclinedWebhookEventEventTypePaymentDeclined PaymentDeclinedWebhookEventEventType = "payment.declined"`

    - `const PaymentDeclinedWebhookEventEventTypePaymentAuthorized PaymentDeclinedWebhookEventEventType = "payment.authorized"`

    - `const PaymentDeclinedWebhookEventEventTypeConnectionCreated PaymentDeclinedWebhookEventEventType = "connection.created"`

    - `const PaymentDeclinedWebhookEventEventTypeConnectionRevoked PaymentDeclinedWebhookEventEventType = "connection.revoked"`

    - `const PaymentDeclinedWebhookEventEventTypeZeroDayRetentionUpdated PaymentDeclinedWebhookEventEventType = "zero_day_retention.updated"`

    - `const PaymentDeclinedWebhookEventEventTypePhoneNumberForwardingUpdated PaymentDeclinedWebhookEventEventType = "phone_number.forwarding_updated"`

    - `const PaymentDeclinedWebhookEventEventTypeEnvironmentLineMoved PaymentDeclinedWebhookEventEventType = "environment.line_moved"`

    - `const PaymentDeclinedWebhookEventEventTypeContactCardCreated PaymentDeclinedWebhookEventEventType = "contact_card.created"`

    - `const PaymentDeclinedWebhookEventEventTypeContactCardUpdated PaymentDeclinedWebhookEventEventType = "contact_card.updated"`

    - `const PaymentDeclinedWebhookEventEventTypeContactCardDeleted PaymentDeclinedWebhookEventEventType = "contact_card.deleted"`

    - `const PaymentDeclinedWebhookEventEventTypeAPITokenCreated PaymentDeclinedWebhookEventEventType = "api_token.created"`

    - `const PaymentDeclinedWebhookEventEventTypeAPITokenRenamed PaymentDeclinedWebhookEventEventType = "api_token.renamed"`

    - `const PaymentDeclinedWebhookEventEventTypeAPITokenExpiryScheduled PaymentDeclinedWebhookEventEventType = "api_token.expiry_scheduled"`

    - `const PaymentDeclinedWebhookEventEventTypeAPITokenExpired PaymentDeclinedWebhookEventEventType = "api_token.expired"`

    - `const PaymentDeclinedWebhookEventEventTypeAPITokenActivated PaymentDeclinedWebhookEventEventType = "api_token.activated"`

    - `const PaymentDeclinedWebhookEventEventTypeAPITokenDeleted PaymentDeclinedWebhookEventEventType = "api_token.deleted"`

    - `const PaymentDeclinedWebhookEventEventTypeEnvironmentCreated PaymentDeclinedWebhookEventEventType = "environment.created"`

    - `const PaymentDeclinedWebhookEventEventTypeEnvironmentRenamed PaymentDeclinedWebhookEventEventType = "environment.renamed"`

    - `const PaymentDeclinedWebhookEventEventTypeEnvironmentDeleted PaymentDeclinedWebhookEventEventType = "environment.deleted"`

    - `const PaymentDeclinedWebhookEventEventTypeWebhookSubscriptionCreated PaymentDeclinedWebhookEventEventType = "webhook_subscription.created"`

    - `const PaymentDeclinedWebhookEventEventTypeWebhookSubscriptionDeleted PaymentDeclinedWebhookEventEventType = "webhook_subscription.deleted"`

    - `const PaymentDeclinedWebhookEventEventTypeWebhookSubscriptionTargetURLChanged PaymentDeclinedWebhookEventEventType = "webhook_subscription.target_url_changed"`

    - `const PaymentDeclinedWebhookEventEventTypeWebhookSubscriptionEnabled PaymentDeclinedWebhookEventEventType = "webhook_subscription.enabled"`

    - `const PaymentDeclinedWebhookEventEventTypeWebhookSubscriptionDisabled PaymentDeclinedWebhookEventEventType = "webhook_subscription.disabled"`

    - `const PaymentDeclinedWebhookEventEventTypeWebhookSubscriptionEventsUpdated PaymentDeclinedWebhookEventEventType = "webhook_subscription.events.updated"`

    - `const PaymentDeclinedWebhookEventEventTypeWebhookSubscriptionPhoneNumbersUpdated PaymentDeclinedWebhookEventEventType = "webhook_subscription.phone_numbers.updated"`

    - `const PaymentDeclinedWebhookEventEventTypeWebhookSubscriptionRoutingHeadersSet PaymentDeclinedWebhookEventEventType = "webhook_subscription.routing_headers_set"`

    - `const PaymentDeclinedWebhookEventEventTypeWebhookSubscriptionRoutingHeadersCleared PaymentDeclinedWebhookEventEventType = "webhook_subscription.routing_headers_cleared"`

    - `const PaymentDeclinedWebhookEventEventTypeTeamMemberAdded PaymentDeclinedWebhookEventEventType = "team_member.added"`

    - `const PaymentDeclinedWebhookEventEventTypeTeamMemberSignedIn PaymentDeclinedWebhookEventEventType = "team_member.signed_in"`

    - `const PaymentDeclinedWebhookEventEventTypeTeamMemberSignedOut PaymentDeclinedWebhookEventEventType = "team_member.signed_out"`

  - `PartnerID string`

    Partner identifier. Present on all webhooks for cross-referencing.

  - `TraceID string`

    Trace ID for debugging and correlation across systems.

  - `WebhookVersion string`

    Date-based webhook payload version.
    Determined by the `?version=` query parameter in your webhook subscription URL.
    If no version parameter is specified, defaults based on subscription creation date.

### payment.expired

- `type PaymentExpiredWebhookEvent struct{…}`

  - `APIVersion string`

    API version for the webhook payload format

  - `CreatedAt Time`

    When the event was created

  - `Data PaymentExpiredWebhookEventData`

    The payment request, as returned by
    `GET /v3/payment_requests/{paymentRequestId}`.

    - `ID string`

      The payment request id.

    - `Amount int64`

      What was charged at checkout, in the currency's minor
      units. In `subscription` mode this is the first invoice's
      total — all items after any discounts are applied.

    - `CheckoutURL string`

      URL the recipient opens to pay
      (`https://zero.linqapp.com/pay/{slug}?session=...`).

    - `CreatedAt Time`

    - `Currency string`

    - `Object string`

    - `Status string`

      - `const PaymentExpiredWebhookEventDataStatusSucceeded PaymentExpiredWebhookEventDataStatus = "succeeded"`

      - `const PaymentExpiredWebhookEventDataStatusFailed PaymentExpiredWebhookEventDataStatus = "failed"`

      - `const PaymentExpiredWebhookEventDataStatusCanceled PaymentExpiredWebhookEventDataStatus = "canceled"`

      - `const PaymentExpiredWebhookEventDataStatusExpired PaymentExpiredWebhookEventDataStatus = "expired"`

    - `Description string`

    - `Discount PaymentExpiredWebhookEventDataDiscount`

      Subscription mode — the discount Stripe applied, read back
      from the coupon. Absent when none was applied.

      - `Coupon string`

      - `Label string`

        Name of the coupon/promo code displayed to customers.

      - `PromotionCode string`

    - `Interval string`

      Subscription mode — how often the subscription renews.

      - `const PaymentExpiredWebhookEventDataIntervalDay PaymentExpiredWebhookEventDataInterval = "day"`

      - `const PaymentExpiredWebhookEventDataIntervalWeek PaymentExpiredWebhookEventDataInterval = "week"`

      - `const PaymentExpiredWebhookEventDataIntervalMonth PaymentExpiredWebhookEventDataInterval = "month"`

      - `const PaymentExpiredWebhookEventDataIntervalYear PaymentExpiredWebhookEventDataInterval = "year"`

    - `IntervalCount int64`

      Subscription mode — intervals per renewal.

    - `Metadata map[string, string]`

    - `Mode string`

      Whether the request collected a one-time charge or started a subscription.

      - `const PaymentExpiredWebhookEventDataModePayment PaymentExpiredWebhookEventDataMode = "payment"`

      - `const PaymentExpiredWebhookEventDataModeSubscription PaymentExpiredWebhookEventDataMode = "subscription"`

    - `Natural PaymentExpiredWebhookEventDataNatural`

      Natural-rail join keys, present when `rail: natural`.

      - `PaymentRequestID string`

        The Natural payment request (`prq_...`).

      - `TransactionID string`

        The settled transaction (`txn_...`).

    - `PriceID string`

      Subscription mode — the recurring price subscribed to.

    - `Quantity int64`

      Subscription mode — units of the price subscribed to.

    - `Rail string`

      The rail this request settled on.

      - `const PaymentExpiredWebhookEventDataRailStripe PaymentExpiredWebhookEventDataRail = "stripe"`

      - `const PaymentExpiredWebhookEventDataRailNatural PaymentExpiredWebhookEventDataRail = "natural"`

    - `Stripe PaymentExpiredWebhookEventDataStripe`

      Ids of the Stripe objects on your connected account — join
      keys into your own Stripe Dashboard/API. Manage a
      subscription's post-checkout lifecycle with `subscription_id`.

      - `CustomerID string`

        The Customer the request is attached to (`cus_...`).
        Always set in subscription mode; set in payment mode
        only when the request was created with a `customer_id`.

      - `PaymentIntentID string`

        The PaymentIntent collected at checkout (`pi_...`).

      - `SubscriptionID string`

        Subscription mode — the Subscription (`sub_...`).

    - `TrialEnd Time`

      Subscription mode — when the free trial ends and the first
      charge happens. On a trial request, `payment.succeeded`
      means the payment method was collected ($0 moved).

    - `UpdatedAt Time`

  - `EventID string`

    Unique identifier for this event (for deduplication)

  - `EventType PaymentExpiredWebhookEventEventType`

    - `const PaymentExpiredWebhookEventEventTypePaymentSucceeded PaymentExpiredWebhookEventEventType = "payment.succeeded"`

    - `const PaymentExpiredWebhookEventEventTypePaymentCanceled PaymentExpiredWebhookEventEventType = "payment.canceled"`

    - `const PaymentExpiredWebhookEventEventTypePaymentExpired PaymentExpiredWebhookEventEventType = "payment.expired"`

    - `const PaymentExpiredWebhookEventEventTypeMessageSent PaymentExpiredWebhookEventEventType = "message.sent"`

    - `const PaymentExpiredWebhookEventEventTypeMessageReceived PaymentExpiredWebhookEventEventType = "message.received"`

    - `const PaymentExpiredWebhookEventEventTypeMessageRead PaymentExpiredWebhookEventEventType = "message.read"`

    - `const PaymentExpiredWebhookEventEventTypeMessageDelivered PaymentExpiredWebhookEventEventType = "message.delivered"`

    - `const PaymentExpiredWebhookEventEventTypeMessageFailed PaymentExpiredWebhookEventEventType = "message.failed"`

    - `const PaymentExpiredWebhookEventEventTypeMessageEdited PaymentExpiredWebhookEventEventType = "message.edited"`

    - `const PaymentExpiredWebhookEventEventTypeReactionAdded PaymentExpiredWebhookEventEventType = "reaction.added"`

    - `const PaymentExpiredWebhookEventEventTypeReactionRemoved PaymentExpiredWebhookEventEventType = "reaction.removed"`

    - `const PaymentExpiredWebhookEventEventTypePollReceived PaymentExpiredWebhookEventEventType = "poll.received"`

    - `const PaymentExpiredWebhookEventEventTypePollFailed PaymentExpiredWebhookEventEventType = "poll.failed"`

    - `const PaymentExpiredWebhookEventEventTypePollSent PaymentExpiredWebhookEventEventType = "poll.sent"`

    - `const PaymentExpiredWebhookEventEventTypePollDelivered PaymentExpiredWebhookEventEventType = "poll.delivered"`

    - `const PaymentExpiredWebhookEventEventTypePollRead PaymentExpiredWebhookEventEventType = "poll.read"`

    - `const PaymentExpiredWebhookEventEventTypePollUpdated PaymentExpiredWebhookEventEventType = "poll.updated"`

    - `const PaymentExpiredWebhookEventEventTypePollVoteAdded PaymentExpiredWebhookEventEventType = "poll.vote.added"`

    - `const PaymentExpiredWebhookEventEventTypePollVoteRemoved PaymentExpiredWebhookEventEventType = "poll.vote.removed"`

    - `const PaymentExpiredWebhookEventEventTypePollReactionAdded PaymentExpiredWebhookEventEventType = "poll.reaction.added"`

    - `const PaymentExpiredWebhookEventEventTypeParticipantAdded PaymentExpiredWebhookEventEventType = "participant.added"`

    - `const PaymentExpiredWebhookEventEventTypeParticipantRemoved PaymentExpiredWebhookEventEventType = "participant.removed"`

    - `const PaymentExpiredWebhookEventEventTypeChatCreated PaymentExpiredWebhookEventEventType = "chat.created"`

    - `const PaymentExpiredWebhookEventEventTypeChatGroupNameUpdated PaymentExpiredWebhookEventEventType = "chat.group_name_updated"`

    - `const PaymentExpiredWebhookEventEventTypeChatGroupIconUpdated PaymentExpiredWebhookEventEventType = "chat.group_icon_updated"`

    - `const PaymentExpiredWebhookEventEventTypeChatGroupNameUpdateFailed PaymentExpiredWebhookEventEventType = "chat.group_name_update_failed"`

    - `const PaymentExpiredWebhookEventEventTypeChatGroupIconUpdateFailed PaymentExpiredWebhookEventEventType = "chat.group_icon_update_failed"`

    - `const PaymentExpiredWebhookEventEventTypeChatBackgroundUpdated PaymentExpiredWebhookEventEventType = "chat.background_updated"`

    - `const PaymentExpiredWebhookEventEventTypeChatBackgroundUpdateFailed PaymentExpiredWebhookEventEventType = "chat.background_update_failed"`

    - `const PaymentExpiredWebhookEventEventTypeChatTypingIndicatorStarted PaymentExpiredWebhookEventEventType = "chat.typing_indicator.started"`

    - `const PaymentExpiredWebhookEventEventTypeChatTypingIndicatorStopped PaymentExpiredWebhookEventEventType = "chat.typing_indicator.stopped"`

    - `const PaymentExpiredWebhookEventEventTypePhoneNumberStatusUpdated PaymentExpiredWebhookEventEventType = "phone_number.status_updated"`

    - `const PaymentExpiredWebhookEventEventTypePhoneNumberAssigned PaymentExpiredWebhookEventEventType = "phone_number.assigned"`

    - `const PaymentExpiredWebhookEventEventTypePhoneNumberReleased PaymentExpiredWebhookEventEventType = "phone_number.released"`

    - `const PaymentExpiredWebhookEventEventTypePhoneNumberLineTypeUpdated PaymentExpiredWebhookEventEventType = "phone_number.line_type_updated"`

    - `const PaymentExpiredWebhookEventEventTypeContactCardReceived PaymentExpiredWebhookEventEventType = "contact_card.received"`

    - `const PaymentExpiredWebhookEventEventTypeLocationSharingStarted PaymentExpiredWebhookEventEventType = "location.sharing.started"`

    - `const PaymentExpiredWebhookEventEventTypeLocationSharingStopped PaymentExpiredWebhookEventEventType = "location.sharing.stopped"`

    - `const PaymentExpiredWebhookEventEventTypePaymentDeclined PaymentExpiredWebhookEventEventType = "payment.declined"`

    - `const PaymentExpiredWebhookEventEventTypePaymentAuthorized PaymentExpiredWebhookEventEventType = "payment.authorized"`

    - `const PaymentExpiredWebhookEventEventTypeConnectionCreated PaymentExpiredWebhookEventEventType = "connection.created"`

    - `const PaymentExpiredWebhookEventEventTypeConnectionRevoked PaymentExpiredWebhookEventEventType = "connection.revoked"`

    - `const PaymentExpiredWebhookEventEventTypeZeroDayRetentionUpdated PaymentExpiredWebhookEventEventType = "zero_day_retention.updated"`

    - `const PaymentExpiredWebhookEventEventTypePhoneNumberForwardingUpdated PaymentExpiredWebhookEventEventType = "phone_number.forwarding_updated"`

    - `const PaymentExpiredWebhookEventEventTypeEnvironmentLineMoved PaymentExpiredWebhookEventEventType = "environment.line_moved"`

    - `const PaymentExpiredWebhookEventEventTypeContactCardCreated PaymentExpiredWebhookEventEventType = "contact_card.created"`

    - `const PaymentExpiredWebhookEventEventTypeContactCardUpdated PaymentExpiredWebhookEventEventType = "contact_card.updated"`

    - `const PaymentExpiredWebhookEventEventTypeContactCardDeleted PaymentExpiredWebhookEventEventType = "contact_card.deleted"`

    - `const PaymentExpiredWebhookEventEventTypeAPITokenCreated PaymentExpiredWebhookEventEventType = "api_token.created"`

    - `const PaymentExpiredWebhookEventEventTypeAPITokenRenamed PaymentExpiredWebhookEventEventType = "api_token.renamed"`

    - `const PaymentExpiredWebhookEventEventTypeAPITokenExpiryScheduled PaymentExpiredWebhookEventEventType = "api_token.expiry_scheduled"`

    - `const PaymentExpiredWebhookEventEventTypeAPITokenExpired PaymentExpiredWebhookEventEventType = "api_token.expired"`

    - `const PaymentExpiredWebhookEventEventTypeAPITokenActivated PaymentExpiredWebhookEventEventType = "api_token.activated"`

    - `const PaymentExpiredWebhookEventEventTypeAPITokenDeleted PaymentExpiredWebhookEventEventType = "api_token.deleted"`

    - `const PaymentExpiredWebhookEventEventTypeEnvironmentCreated PaymentExpiredWebhookEventEventType = "environment.created"`

    - `const PaymentExpiredWebhookEventEventTypeEnvironmentRenamed PaymentExpiredWebhookEventEventType = "environment.renamed"`

    - `const PaymentExpiredWebhookEventEventTypeEnvironmentDeleted PaymentExpiredWebhookEventEventType = "environment.deleted"`

    - `const PaymentExpiredWebhookEventEventTypeWebhookSubscriptionCreated PaymentExpiredWebhookEventEventType = "webhook_subscription.created"`

    - `const PaymentExpiredWebhookEventEventTypeWebhookSubscriptionDeleted PaymentExpiredWebhookEventEventType = "webhook_subscription.deleted"`

    - `const PaymentExpiredWebhookEventEventTypeWebhookSubscriptionTargetURLChanged PaymentExpiredWebhookEventEventType = "webhook_subscription.target_url_changed"`

    - `const PaymentExpiredWebhookEventEventTypeWebhookSubscriptionEnabled PaymentExpiredWebhookEventEventType = "webhook_subscription.enabled"`

    - `const PaymentExpiredWebhookEventEventTypeWebhookSubscriptionDisabled PaymentExpiredWebhookEventEventType = "webhook_subscription.disabled"`

    - `const PaymentExpiredWebhookEventEventTypeWebhookSubscriptionEventsUpdated PaymentExpiredWebhookEventEventType = "webhook_subscription.events.updated"`

    - `const PaymentExpiredWebhookEventEventTypeWebhookSubscriptionPhoneNumbersUpdated PaymentExpiredWebhookEventEventType = "webhook_subscription.phone_numbers.updated"`

    - `const PaymentExpiredWebhookEventEventTypeWebhookSubscriptionRoutingHeadersSet PaymentExpiredWebhookEventEventType = "webhook_subscription.routing_headers_set"`

    - `const PaymentExpiredWebhookEventEventTypeWebhookSubscriptionRoutingHeadersCleared PaymentExpiredWebhookEventEventType = "webhook_subscription.routing_headers_cleared"`

    - `const PaymentExpiredWebhookEventEventTypeTeamMemberAdded PaymentExpiredWebhookEventEventType = "team_member.added"`

    - `const PaymentExpiredWebhookEventEventTypeTeamMemberSignedIn PaymentExpiredWebhookEventEventType = "team_member.signed_in"`

    - `const PaymentExpiredWebhookEventEventTypeTeamMemberSignedOut PaymentExpiredWebhookEventEventType = "team_member.signed_out"`

  - `PartnerID string`

    Partner identifier. Present on all webhooks for cross-referencing.

  - `TraceID string`

    Trace ID for debugging and correlation across systems.

  - `WebhookVersion string`

    Date-based webhook payload version.
    Determined by the `?version=` query parameter in your webhook subscription URL.
    If no version parameter is specified, defaults based on subscription creation date.

### payment.succeeded

- `type PaymentSucceededWebhookEvent struct{…}`

  - `APIVersion string`

    API version for the webhook payload format

  - `CreatedAt Time`

    When the event was created

  - `Data PaymentSucceededWebhookEventData`

    The payment request, as returned by
    `GET /v3/payment_requests/{paymentRequestId}`.

    - `ID string`

      The payment request id.

    - `Amount int64`

      What was charged at checkout, in the currency's minor
      units. In `subscription` mode this is the first invoice's
      total — all items after any discounts are applied.

    - `CheckoutURL string`

      URL the recipient opens to pay
      (`https://zero.linqapp.com/pay/{slug}?session=...`).

    - `CreatedAt Time`

    - `Currency string`

    - `Object string`

    - `Status string`

      - `const PaymentSucceededWebhookEventDataStatusSucceeded PaymentSucceededWebhookEventDataStatus = "succeeded"`

      - `const PaymentSucceededWebhookEventDataStatusFailed PaymentSucceededWebhookEventDataStatus = "failed"`

      - `const PaymentSucceededWebhookEventDataStatusCanceled PaymentSucceededWebhookEventDataStatus = "canceled"`

      - `const PaymentSucceededWebhookEventDataStatusExpired PaymentSucceededWebhookEventDataStatus = "expired"`

    - `Description string`

    - `Discount PaymentSucceededWebhookEventDataDiscount`

      Subscription mode — the discount Stripe applied, read back
      from the coupon. Absent when none was applied.

      - `Coupon string`

      - `Label string`

        Name of the coupon/promo code displayed to customers.

      - `PromotionCode string`

    - `Interval string`

      Subscription mode — how often the subscription renews.

      - `const PaymentSucceededWebhookEventDataIntervalDay PaymentSucceededWebhookEventDataInterval = "day"`

      - `const PaymentSucceededWebhookEventDataIntervalWeek PaymentSucceededWebhookEventDataInterval = "week"`

      - `const PaymentSucceededWebhookEventDataIntervalMonth PaymentSucceededWebhookEventDataInterval = "month"`

      - `const PaymentSucceededWebhookEventDataIntervalYear PaymentSucceededWebhookEventDataInterval = "year"`

    - `IntervalCount int64`

      Subscription mode — intervals per renewal.

    - `Metadata map[string, string]`

    - `Mode string`

      Whether the request collected a one-time charge or started a subscription.

      - `const PaymentSucceededWebhookEventDataModePayment PaymentSucceededWebhookEventDataMode = "payment"`

      - `const PaymentSucceededWebhookEventDataModeSubscription PaymentSucceededWebhookEventDataMode = "subscription"`

    - `Natural PaymentSucceededWebhookEventDataNatural`

      Natural-rail join keys, present when `rail: natural`.

      - `PaymentRequestID string`

        The Natural payment request (`prq_...`).

      - `TransactionID string`

        The settled transaction (`txn_...`).

    - `PriceID string`

      Subscription mode — the recurring price subscribed to.

    - `Quantity int64`

      Subscription mode — units of the price subscribed to.

    - `Rail string`

      The rail this request settled on.

      - `const PaymentSucceededWebhookEventDataRailStripe PaymentSucceededWebhookEventDataRail = "stripe"`

      - `const PaymentSucceededWebhookEventDataRailNatural PaymentSucceededWebhookEventDataRail = "natural"`

    - `Stripe PaymentSucceededWebhookEventDataStripe`

      Ids of the Stripe objects on your connected account — join
      keys into your own Stripe Dashboard/API. Manage a
      subscription's post-checkout lifecycle with `subscription_id`.

      - `CustomerID string`

        The Customer the request is attached to (`cus_...`).
        Always set in subscription mode; set in payment mode
        only when the request was created with a `customer_id`.

      - `PaymentIntentID string`

        The PaymentIntent collected at checkout (`pi_...`).

      - `SubscriptionID string`

        Subscription mode — the Subscription (`sub_...`).

    - `TrialEnd Time`

      Subscription mode — when the free trial ends and the first
      charge happens. On a trial request, `payment.succeeded`
      means the payment method was collected ($0 moved).

    - `UpdatedAt Time`

  - `EventID string`

    Unique identifier for this event (for deduplication)

  - `EventType PaymentSucceededWebhookEventEventType`

    - `const PaymentSucceededWebhookEventEventTypePaymentSucceeded PaymentSucceededWebhookEventEventType = "payment.succeeded"`

    - `const PaymentSucceededWebhookEventEventTypePaymentCanceled PaymentSucceededWebhookEventEventType = "payment.canceled"`

    - `const PaymentSucceededWebhookEventEventTypePaymentExpired PaymentSucceededWebhookEventEventType = "payment.expired"`

    - `const PaymentSucceededWebhookEventEventTypeMessageSent PaymentSucceededWebhookEventEventType = "message.sent"`

    - `const PaymentSucceededWebhookEventEventTypeMessageReceived PaymentSucceededWebhookEventEventType = "message.received"`

    - `const PaymentSucceededWebhookEventEventTypeMessageRead PaymentSucceededWebhookEventEventType = "message.read"`

    - `const PaymentSucceededWebhookEventEventTypeMessageDelivered PaymentSucceededWebhookEventEventType = "message.delivered"`

    - `const PaymentSucceededWebhookEventEventTypeMessageFailed PaymentSucceededWebhookEventEventType = "message.failed"`

    - `const PaymentSucceededWebhookEventEventTypeMessageEdited PaymentSucceededWebhookEventEventType = "message.edited"`

    - `const PaymentSucceededWebhookEventEventTypeReactionAdded PaymentSucceededWebhookEventEventType = "reaction.added"`

    - `const PaymentSucceededWebhookEventEventTypeReactionRemoved PaymentSucceededWebhookEventEventType = "reaction.removed"`

    - `const PaymentSucceededWebhookEventEventTypePollReceived PaymentSucceededWebhookEventEventType = "poll.received"`

    - `const PaymentSucceededWebhookEventEventTypePollFailed PaymentSucceededWebhookEventEventType = "poll.failed"`

    - `const PaymentSucceededWebhookEventEventTypePollSent PaymentSucceededWebhookEventEventType = "poll.sent"`

    - `const PaymentSucceededWebhookEventEventTypePollDelivered PaymentSucceededWebhookEventEventType = "poll.delivered"`

    - `const PaymentSucceededWebhookEventEventTypePollRead PaymentSucceededWebhookEventEventType = "poll.read"`

    - `const PaymentSucceededWebhookEventEventTypePollUpdated PaymentSucceededWebhookEventEventType = "poll.updated"`

    - `const PaymentSucceededWebhookEventEventTypePollVoteAdded PaymentSucceededWebhookEventEventType = "poll.vote.added"`

    - `const PaymentSucceededWebhookEventEventTypePollVoteRemoved PaymentSucceededWebhookEventEventType = "poll.vote.removed"`

    - `const PaymentSucceededWebhookEventEventTypePollReactionAdded PaymentSucceededWebhookEventEventType = "poll.reaction.added"`

    - `const PaymentSucceededWebhookEventEventTypeParticipantAdded PaymentSucceededWebhookEventEventType = "participant.added"`

    - `const PaymentSucceededWebhookEventEventTypeParticipantRemoved PaymentSucceededWebhookEventEventType = "participant.removed"`

    - `const PaymentSucceededWebhookEventEventTypeChatCreated PaymentSucceededWebhookEventEventType = "chat.created"`

    - `const PaymentSucceededWebhookEventEventTypeChatGroupNameUpdated PaymentSucceededWebhookEventEventType = "chat.group_name_updated"`

    - `const PaymentSucceededWebhookEventEventTypeChatGroupIconUpdated PaymentSucceededWebhookEventEventType = "chat.group_icon_updated"`

    - `const PaymentSucceededWebhookEventEventTypeChatGroupNameUpdateFailed PaymentSucceededWebhookEventEventType = "chat.group_name_update_failed"`

    - `const PaymentSucceededWebhookEventEventTypeChatGroupIconUpdateFailed PaymentSucceededWebhookEventEventType = "chat.group_icon_update_failed"`

    - `const PaymentSucceededWebhookEventEventTypeChatBackgroundUpdated PaymentSucceededWebhookEventEventType = "chat.background_updated"`

    - `const PaymentSucceededWebhookEventEventTypeChatBackgroundUpdateFailed PaymentSucceededWebhookEventEventType = "chat.background_update_failed"`

    - `const PaymentSucceededWebhookEventEventTypeChatTypingIndicatorStarted PaymentSucceededWebhookEventEventType = "chat.typing_indicator.started"`

    - `const PaymentSucceededWebhookEventEventTypeChatTypingIndicatorStopped PaymentSucceededWebhookEventEventType = "chat.typing_indicator.stopped"`

    - `const PaymentSucceededWebhookEventEventTypePhoneNumberStatusUpdated PaymentSucceededWebhookEventEventType = "phone_number.status_updated"`

    - `const PaymentSucceededWebhookEventEventTypePhoneNumberAssigned PaymentSucceededWebhookEventEventType = "phone_number.assigned"`

    - `const PaymentSucceededWebhookEventEventTypePhoneNumberReleased PaymentSucceededWebhookEventEventType = "phone_number.released"`

    - `const PaymentSucceededWebhookEventEventTypePhoneNumberLineTypeUpdated PaymentSucceededWebhookEventEventType = "phone_number.line_type_updated"`

    - `const PaymentSucceededWebhookEventEventTypeContactCardReceived PaymentSucceededWebhookEventEventType = "contact_card.received"`

    - `const PaymentSucceededWebhookEventEventTypeLocationSharingStarted PaymentSucceededWebhookEventEventType = "location.sharing.started"`

    - `const PaymentSucceededWebhookEventEventTypeLocationSharingStopped PaymentSucceededWebhookEventEventType = "location.sharing.stopped"`

    - `const PaymentSucceededWebhookEventEventTypePaymentDeclined PaymentSucceededWebhookEventEventType = "payment.declined"`

    - `const PaymentSucceededWebhookEventEventTypePaymentAuthorized PaymentSucceededWebhookEventEventType = "payment.authorized"`

    - `const PaymentSucceededWebhookEventEventTypeConnectionCreated PaymentSucceededWebhookEventEventType = "connection.created"`

    - `const PaymentSucceededWebhookEventEventTypeConnectionRevoked PaymentSucceededWebhookEventEventType = "connection.revoked"`

    - `const PaymentSucceededWebhookEventEventTypeZeroDayRetentionUpdated PaymentSucceededWebhookEventEventType = "zero_day_retention.updated"`

    - `const PaymentSucceededWebhookEventEventTypePhoneNumberForwardingUpdated PaymentSucceededWebhookEventEventType = "phone_number.forwarding_updated"`

    - `const PaymentSucceededWebhookEventEventTypeEnvironmentLineMoved PaymentSucceededWebhookEventEventType = "environment.line_moved"`

    - `const PaymentSucceededWebhookEventEventTypeContactCardCreated PaymentSucceededWebhookEventEventType = "contact_card.created"`

    - `const PaymentSucceededWebhookEventEventTypeContactCardUpdated PaymentSucceededWebhookEventEventType = "contact_card.updated"`

    - `const PaymentSucceededWebhookEventEventTypeContactCardDeleted PaymentSucceededWebhookEventEventType = "contact_card.deleted"`

    - `const PaymentSucceededWebhookEventEventTypeAPITokenCreated PaymentSucceededWebhookEventEventType = "api_token.created"`

    - `const PaymentSucceededWebhookEventEventTypeAPITokenRenamed PaymentSucceededWebhookEventEventType = "api_token.renamed"`

    - `const PaymentSucceededWebhookEventEventTypeAPITokenExpiryScheduled PaymentSucceededWebhookEventEventType = "api_token.expiry_scheduled"`

    - `const PaymentSucceededWebhookEventEventTypeAPITokenExpired PaymentSucceededWebhookEventEventType = "api_token.expired"`

    - `const PaymentSucceededWebhookEventEventTypeAPITokenActivated PaymentSucceededWebhookEventEventType = "api_token.activated"`

    - `const PaymentSucceededWebhookEventEventTypeAPITokenDeleted PaymentSucceededWebhookEventEventType = "api_token.deleted"`

    - `const PaymentSucceededWebhookEventEventTypeEnvironmentCreated PaymentSucceededWebhookEventEventType = "environment.created"`

    - `const PaymentSucceededWebhookEventEventTypeEnvironmentRenamed PaymentSucceededWebhookEventEventType = "environment.renamed"`

    - `const PaymentSucceededWebhookEventEventTypeEnvironmentDeleted PaymentSucceededWebhookEventEventType = "environment.deleted"`

    - `const PaymentSucceededWebhookEventEventTypeWebhookSubscriptionCreated PaymentSucceededWebhookEventEventType = "webhook_subscription.created"`

    - `const PaymentSucceededWebhookEventEventTypeWebhookSubscriptionDeleted PaymentSucceededWebhookEventEventType = "webhook_subscription.deleted"`

    - `const PaymentSucceededWebhookEventEventTypeWebhookSubscriptionTargetURLChanged PaymentSucceededWebhookEventEventType = "webhook_subscription.target_url_changed"`

    - `const PaymentSucceededWebhookEventEventTypeWebhookSubscriptionEnabled PaymentSucceededWebhookEventEventType = "webhook_subscription.enabled"`

    - `const PaymentSucceededWebhookEventEventTypeWebhookSubscriptionDisabled PaymentSucceededWebhookEventEventType = "webhook_subscription.disabled"`

    - `const PaymentSucceededWebhookEventEventTypeWebhookSubscriptionEventsUpdated PaymentSucceededWebhookEventEventType = "webhook_subscription.events.updated"`

    - `const PaymentSucceededWebhookEventEventTypeWebhookSubscriptionPhoneNumbersUpdated PaymentSucceededWebhookEventEventType = "webhook_subscription.phone_numbers.updated"`

    - `const PaymentSucceededWebhookEventEventTypeWebhookSubscriptionRoutingHeadersSet PaymentSucceededWebhookEventEventType = "webhook_subscription.routing_headers_set"`

    - `const PaymentSucceededWebhookEventEventTypeWebhookSubscriptionRoutingHeadersCleared PaymentSucceededWebhookEventEventType = "webhook_subscription.routing_headers_cleared"`

    - `const PaymentSucceededWebhookEventEventTypeTeamMemberAdded PaymentSucceededWebhookEventEventType = "team_member.added"`

    - `const PaymentSucceededWebhookEventEventTypeTeamMemberSignedIn PaymentSucceededWebhookEventEventType = "team_member.signed_in"`

    - `const PaymentSucceededWebhookEventEventTypeTeamMemberSignedOut PaymentSucceededWebhookEventEventType = "team_member.signed_out"`

  - `PartnerID string`

    Partner identifier. Present on all webhooks for cross-referencing.

  - `TraceID string`

    Trace ID for debugging and correlation across systems.

  - `WebhookVersion string`

    Date-based webhook payload version.
    Determined by the `?version=` query parameter in your webhook subscription URL.
    If no version parameter is specified, defaults based on subscription creation date.

### Unwrap Webhook Event

- `type UnwrapWebhookEventUnion interface{…}`

  - `type ConnectionCreatedWebhookEvent struct{…}`

    - `APIVersion string`

      API version for the webhook payload format

    - `CreatedAt Time`

      When the event was created

    - `Data ConnectionCreatedWebhookEventData`

      The payment request, as returned by
      `GET /v3/payment_requests/{paymentRequestId}`.

      - `ID string`

        The payment request id.

      - `Amount int64`

        What was charged at checkout, in the currency's minor
        units. In `subscription` mode this is the first invoice's
        total — all items after any discounts are applied.

      - `CheckoutURL string`

        URL the recipient opens to pay
        (`https://zero.linqapp.com/pay/{slug}?session=...`).

[...]
